<?php
	
class Admin_InboxController extends Appweb_Tools_Controller_BaseAdminController
{


    
    public function showAction() {
		
		$this->getHelper("Layout")->setLayout("admin/inbox");
		$this->view->pageTitle = "Inbox | TravelMA";
		$this->view->pageDesc = "Le plus grands de jeunes versent réseau urbain pour du promouvoir le rap marocain";		
		 
		$id = $this->getRequest()->getParam("u");
		$this->view->id1= $id;
		
		$q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_MsgPrive o")			   
				->addSelect('c.nomcomplet AS nomcomplet1')
				->addSelect('c.photo AS photo1')
				->innerJoin("o.From c ON o.idfrom = c.id")
				->where("o.idto = ?", $id)
				->orderby("o.date_creation DESC");
        $this->view->listeMessage = $q->fetchArray();
		
		$q = Doctrine_Query::create();
                $q->select('count(*) as nbrmessage')
                   ->from("Appweb_Model_MsgPrive")
                   ->where("idto = ?", $id)
				   ->andwhere("archived = ?", 0);
                $res = $q->fetchArray();
        $this->view->nbrmessage = $nbrmessage = $res[0]["nbrmessage"];
		
		$q = Doctrine_Query::create();
                $q->select('count(*) as nbrmessageall')
                   ->from("Appweb_Model_MsgPrive")
                   ->where("idto = ?", $id);
                $res = $q->fetchArray();
        $this->view->nbrmessageall = $nbrmessageall = $res[0]["nbrmessageall"];
		
		$q = Doctrine_Query::create();
                $q->select('count(*) as nbrmessageallfrom')
                   ->from("Appweb_Model_MsgPrive")
                   ->where("idfrom = ?", $id);
                $res = $q->fetchArray();
        $this->view->nbrmessageallfrom = $nbrmessageallfrom = $res[0]["nbrmessageallfrom"];
	}
	public function messageAction() {
		
		$this->getHelper("Layout")->setLayout("admin/inbox");
		$this->view->pageTitle = "Inbox | TravelMA";
		$id = $this->getRequest()->getParam("u");
		
		$values["archived"] = 1;
			$q = Doctrine_Query::create();
                $q->update("Appweb_Model_MsgPrive");
                foreach($values as $k => $v)
                { $q->set($k, "?", $v); }
                $q->where("id = ?", $id);
                $q->execute();
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$identity = $ns->identity;
        $this->view->idsession= $identity;
		
		$q = Doctrine_Query::create();
         $records = $q->select('*')
				->from("Appweb_Model_MsgPrive o")			   
				->addSelect('c.nomcomplet AS nomcomplet1')
				->addSelect('c.photo AS photo1')
				->innerJoin("o.From c ON o.idfrom = c.id")
				->where("o.id = ?", $id)
				->orderby("o.date_creation DESC")
				->fetchArray();
		$this->view->record = $records[0];
	}
	public function show_Action() {
		
		$this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Profile | TravelMA";
		$this->view->pageDesc = "Le plus grands de jeunes versent réseau urbain pour du promouvoir le rap marocain";		
		 
		$id = $this->getRequest()->getParam("u");
		$this->view->id1= $id;
		
		$q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_Feedback o")			   
				->addSelect('c.nomcomplet AS nomcomplet1')
				->addSelect('c.photo AS photo1')
				->innerJoin("o.From c ON o.idfrom = c.id")
				->where("o.idto = ?", $id)
				->andwhere("o.archived = ?", 1)
				->orderby("o.date_creation DESC");
        $this->view->listeFeedback = $q->fetchArray();
		
		
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$identity = $ns->identity;
        $this->view->idsession= $identity;
		
		$q = Doctrine_Query::create();
        $records = $q->select('*')
                ->from("Appweb_Model_Users f")
				->addSelect('d.country_name AS Countrie')
				->innerJoin("f.AppsCountries d ON d.id = f.idcountrie")
                ->where("f.id = ?", $id)
                ->fetchArray();
		$this->view->record = $records[0];
		
		$q1 = Doctrine_Query::create();
        $records1 = $q1->select('*')
                ->from("Appweb_Model_Voiture f")
                ->where("f.iduser = ?", $id)
                ->fetchArray();
		$this->view->record1 = $records1[0];
		
		$q = Doctrine_Query::create();
                $q->select('count(*) as nbrfeedback')
                   ->from("Appweb_Model_Feedback")
                   ->where("idto = ?", $id);
                $res = $q->fetchArray();
        $this->view->nbrfeedback = $res[0]["nbrfeedback"];
		
		$q = Doctrine_Query::create();
                $q->select('count(*) as nbrOffre')
                   ->from("Appweb_Model_OffreDemande")
                   ->where("iduser = ?", $id);
                $res = $q->fetchArray();
        $this->view->nbrOffre = $res[0]["nbrOffre"];
		
		
	}
	public function configAction() {
		
		$this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Profile | TravelMA";
		$this->view->pageDesc = "Le plus grands de jeunes versent réseau urbain pour du promouvoir le rap marocain";		
		 
		$id = $this->getRequest()->getParam("u");
		$this->view->id1= $id;
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$identity = $ns->identity;
        $this->view->idsession= $identity;
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_AppsCountries o")
			   ->orderby("o.id");
        $this->view->listeCountries = $q->fetchArray();
		
		$q = Doctrine_Query::create();
        $records = $q->select('*')
                ->from("Appweb_Model_Users f")
                ->where("f.id = ?", $id)
                ->fetchArray();
		$this->view->record = $records[0];
		
		$q1 = Doctrine_Query::create();
        $records1 = $q1->select('*')
                ->from("Appweb_Model_Voiture f")
                ->where("f.iduser = ?", $id)
                ->fetchArray();
		$this->view->record1 = $records1[0];
		
		if($this->getRequest()->isPost())
        {
			
				$values["nomcomplet"] = $this->getRequest()->getPost("Name");
                $values["email"] = $this->getRequest()->getPost("Email");
                $values["login"] = $this->getRequest()->getPost("Username");
                $values["idcountrie"] = $this->getRequest()->getPost("Country");
                $values["adress"] = $this->getRequest()->getPost("Address");

                $q = Doctrine_Query::create();
                $q->update("Appweb_Model_Users");
                foreach($values as $k => $v)
                {
                    $q->set($k, "?", $v);
                }
                
                $q->where("id = ?", $id);
                
                $q->execute();

		
		$this->_redirect("/admin/Profile/config/u/".$id);	
		}
		
    }
	public function ajaxinboxsendAction() {
		$this->getHelper("Layout")->disableLayout();
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$id = $ns->identity;
        $this->view->idsession= $id;
		
		$q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_MsgPrive o")			   
				->addSelect('c.nomcomplet AS nomcomplet1')
				->addSelect('c.photo AS photo1')
				->innerJoin("o.To c ON o.idto = c.id")
				->where("o.idfrom = ?", $id)
				->orderby("o.date_creation DESC");
        $this->view->listeMessage = $q->fetchArray();
		
		$q = Doctrine_Query::create();
                $q->select('count(*) as nbrmessage')
                   ->from("Appweb_Model_MsgPrive")
                   ->where("idfrom = ?", $id)
				   ->andwhere("archived = ?", 0);
                $res = $q->fetchArray();
        $this->view->nbrmessage = $nbrmessage = $res[0]["nbrmessage"];
		
		$q = Doctrine_Query::create();
                $q->select('count(*) as nbrmessageall')
                   ->from("Appweb_Model_MsgPrive")
                   ->where("idfrom = ?", $id);
                $res = $q->fetchArray();
        $this->view->nbrmessageall = $nbrmessageall = $res[0]["nbrmessageall"];
	 }
	 public function ajaxinboxrecueAction() {
		$this->getHelper("Layout")->disableLayout();
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$id = $ns->identity;
        $this->view->idsession= $id;
		
		$q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_MsgPrive o")			   
				->addSelect('c.nomcomplet AS nomcomplet1')
				->addSelect('c.photo AS photo1')
				->innerJoin("o.From c ON o.idfrom = c.id")
				->where("o.idto = ?", $id)
				->orderby("o.date_creation DESC");
        $this->view->listeMessage = $q->fetchArray();
		
		$q = Doctrine_Query::create();
                $q->select('count(*) as nbrmessage')
                   ->from("Appweb_Model_MsgPrive")
                   ->where("idto = ?", $id)
				   ->andwhere("archived = ?", 0);
                $res = $q->fetchArray();
        $this->view->nbrmessage = $nbrmessage = $res[0]["nbrmessage"];
		
		$q = Doctrine_Query::create();
                $q->select('count(*) as nbrmessageall')
                   ->from("Appweb_Model_MsgPrive")
                   ->where("idto = ?", $id);
                $res = $q->fetchArray();
        $this->view->nbrmessageall = $nbrmessageall = $res[0]["nbrmessageall"];
	 }
	 
	 public function message_Action() {
		$this->getHelper("Layout")->disableLayout();
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$identity = $ns->identity;
        $this->view->idsession= $identity;
		
		if($this->getRequest()->isPost())
        {
						if($this->getRequest()->getPost("message")!=""){
							
							$idto = $this->getRequest()->getPost("idto");
							$values["objet"] = $this->getRequest()->getPost("Objet");
							$values["message"] = $this->getRequest()->getPost("message");
							$values["idfrom"] = $this->getRequest()->getPost("idfrom");
							$values["idto"] = $idto;
							
							$object = new Appweb_Model_MsgPrive();
							foreach ($values as $k => $v) {
							$object->$k = $v;
							}
		   
							$object->save();
						}
							
				$this->_redirect("/admin/inbox/show/u/".$idto);
		}
	 }
	 public function ajaxinboxviewAction() {
		$this->getHelper("Layout")->disableLayout();
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$identity = $ns->identity;
        $this->view->idsession= $identity;
		$id = $this->getRequest()->getPost("id");
		
		$values["archived"] = 1;
			$q = Doctrine_Query::create();
                $q->update("Appweb_Model_MsgPrive");
                foreach($values as $k => $v)
                { $q->set($k, "?", $v); }
                $q->where("id = ?", $id);
                $q->execute();
		
		
		$q = Doctrine_Query::create();
         $records = $q->select('*')
				->from("Appweb_Model_MsgPrive o")			   
				->addSelect('c.nomcomplet AS nomcomplet1')
				->addSelect('c.photo AS photo1')
				->innerJoin("o.From c ON o.idfrom = c.id")
				->where("o.id = ?", $id)
				->orderby("o.date_creation DESC")
				->fetchArray();
		$this->view->record = $records[0];
		
	 }
    public function vehiculeAction() {
		$this->getHelper("Layout")->disableLayout();
		$id = $this->getRequest()->getParam("id");
		
		
		if($this->getRequest()->isPost())
        {
			$q1 = Doctrine_Query::create();
			$records = $q1->select('*')
					->from("Appweb_Model_Voiture f")
					->where("f.iduser = ?", $id)
					->fetchArray();
			
			 if(count($records) <= 0)
			{
							$values["immatriculation"] = $this->getRequest()->getPost("Plaque");
							$values["iduser"] = $id;
							$values["nom_voiture"] = $this->getRequest()->getPost("Marques");
							$values["modele_voiture"] = $this->getRequest()->getPost("Modeles");
							
							$object = new Appweb_Model_Voiture();
							foreach ($values as $k => $v) {
							$object->$k = $v;
							}
		   
							$object->save();
				
			}
			else{
							$values["immatriculation"] = $this->getRequest()->getPost("Plaque");
							$values["nom_voiture"] = $this->getRequest()->getPost("Marques");
							$values["modele_voiture"] = $this->getRequest()->getPost("Modeles");

							$q = Doctrine_Query::create();
							$q->update("Appweb_Model_Voiture");
							foreach($values as $k => $v)
							{
								$q->set($k, "?", $v);
							}
							
							$q->where("iduser = ?", $id);
							
							$q->execute();
							

			
			}
			
			if ($_FILES['file1']['error'] == 0)
					{
					$uploadPath = APPLICATION_PATH.'/../public/assets/vehicule';
					$infosfichier1 = pathinfo($_FILES['file1']['name']);
					$extension_upload1 = $infosfichier1['extension'];
					$name = $_FILES['file1']['name'];
					move_uploaded_file($_FILES['file1']['tmp_name'], $uploadPath."/".$id.'.'.$extension_upload1);
					}
			if($extension_upload1!=""){

					$values["photo"] = $id.'.'.$extension_upload1;

					$q = Doctrine_Query::create();
					$q->update("Appweb_Model_Voiture");
					foreach($values as $k => $v)
					{
						$q->set($k, "?", $v);
					}
					
					$q->where("iduser = ?", $id);
					
					$q->execute();
				}
		$this->_redirect("/admin/Profile/config/u/".$id);
		}
		
	}
    public function creerAction() {
        $this->getHelper("Layout")->disableLayout();
		
		$this->view->pageTitle = "Créer un neuveau compte | YNGMusic";
		$this->view->pageDesc = "Le plus grands de jeunes versent réseau urbain pour du promouvoir le rap marocain";
		
		if ($this->getRequest()->isPost()) {
                
    			 $login = $this->getRequest()->getPost("username");
                 $pass = md5($this->getRequest()->getPost("password"));
				 $fullname = $this->getRequest()->getPost("fullname");
				 $adress = $this->getRequest()->getPost("address");
				 $email = $this->getRequest()->getPost("email");
				 $country = $this->getRequest()->getPost("country");
                $q = Doctrine_Query::create();
                   $q->select('*')
                            ->from("Appweb_Model_Users")
                           ->where("login = ?", $uname)
                           ->andWhere("email = ?", $email);

                   $res = $q->fetchArray();
                   if (count($res) == 0) {
                        $values["login"] = $login;
						$values["password"] = $pass;
						$values["nomcomplet"] = $fullname;
						$values["adress"] = $adress;
						$values["email"] = $email;
						$values["idcountrie"] = $country;
						$values["photo"] = "user.jpg";
                        $object = new Appweb_Model_Users();
                        foreach ($values as $k => $v) {
                        $object->$k = $v;
                        }
       
                        $object->save();
                        $this->_redirect("/admin/Login/u/".$uname);             
            
                    } else {
                       $this->view->error = TRUE;
                       $this->view->errorMessage = "Ce nom d'utilisateur ou e-mail que nous avons déjà enregistré.";
					   $error = $this->view->errorMessage;
                    }

        }
		
    }

	

	
}
?>


