

<?php
class  App_TrackController extends App_Tools_Controller_BaseAppController
{



    public function indexAction() {
        $this->getHelper("Layout")->setLayout("app/default-two");
		 $this->view->pageTitle = "YNGMusic Le plus grands de jeunes versent réseau urbain pour du promouvoir le rap marocain";
		
		 $s = new Zend_Session_Namespace("AppAuth");
		 $s->menu = "Track";

		$q = Doctrine_Query::create();
        $q = $q->select('count(*) as nbrpage')
                ->from("App_Model_Tracks o")
				->where("o.album='0'")
                ->fetchArray();
		$this->view->total = $total= $q[0]["nbrpage"] ;		
		$this->view->Param = $Param = $this->getRequest()->getParam("page") ;
		$num_rec_per_page=5;
		if (isset($Param)) { $page  = $Param; } else { $page=1; }; 
		$start_from = ($page-1) * $num_rec_per_page;
		$this->view->total_pages = $total_pages = ceil($total / $num_rec_per_page);
		$this->view->pager = $pager = $Param;
		$this->view->mpager = $mpager= $page-1;
		$this->view->ipager = $ipager= $page+1;
		$this->view->start = $start_from;
		
		$q = Doctrine_Query::create();
         $a = $q->select('*')
                ->from("App_Model_Tracks b")
                ->addSelect('a.nome as artist')
                ->innerJoin("b.Artists a ON a.idartist = b.artist")
				->orderBy('b.idtrack DESC')
				->limit(1)
				->fetchArray();
		$this->view->idtrack = $a[0]["idtrack"];
		$this->view->artist = $a[0]["artist"];
		$this->view->track = $a[0]["track"];
		$this->view->featuring = $a[0]["featuring"];
		 
		 
	     $q = Doctrine_Query::create();
          $q->select('*')
                ->from("App_Model_Albums o")
                ->addSelect('a.nome as artist, a.idartist as idart')
                ->innerJoin("o.Artists a ON a.idartist = o.artist")
                ->where("o.state ='1'")
				->orderBy('RAND()')
				->limit(6);
         $this->view->suggerons = $q->fetchArray();	
		 
		 

		 

    }
 	 public function listenAction() {
        $this->getHelper("Layout")->setLayout("app/default-tree");
		 $this->view->pageTitle = "YNGMusic Le plus grands de jeunes versent réseau urbain pour du promouvoir le rap marocain";

		 $s = new Zend_Session_Namespace("AppAuth");
		 $s->menu = "Track";
		 
		 $track = $this->getRequest()->getParam('id');
// Detail 
	     $q = Doctrine_Query::create();
          $q->select('*')
                ->from("App_Model_Tracks o")
                ->addSelect('a.nome as artist, a.idartist as idart')
                ->innerJoin("o.Artists a ON a.idartist = o.artist")
				->addSelect('b.album as album')
                ->leftJoin("o.Albums b ON b.idalbum = o.album")
                ->where("o.idtrack = $track");
		$this->view->chansondetail = $q->fetchArray();
//Sugg		 
	     $q = Doctrine_Query::create();
          $q->select('*, o.featuring as namefeaturing')
                ->from("App_Model_Tracks o")
                ->addSelect('a.nome as nameartist, a.idartist as idart')
                ->innerJoin("o.Artists a ON a.idartist = o.artist")
				->addSelect('b.album as namealbum')
                ->innerJoin("o.Albums b ON b.idalbum = o.album")
				->orderBy('RAND()')
				->limit(6);
         $this->view->suggerons = $q->fetchArray();

		 
//Registereds
		 $s = new Zend_Session_Namespace("AppAuth");
		 $q = Doctrine_Query::create();
          $q->select('pseudo as connects')
                ->from("App_Model_Registereds")
				->where("iduser=$s->identity");
         $this->view->connect = $q->fetchArray();
		 
//Like	
 	    $j = Doctrine_Query::create();
          $j = $j->select('count(*) as countjm')
                ->from("App_Model_Jaimes")
                ->where("track = ?", $track)
                ->fetchArray();
		 $this->view->countjms = $j[0]["countjm"];	
		 
		$q = Doctrine_Query::create();
          $q->select('count(*) as nbrjaime')
                ->from("App_Model_Jaimes")
				->where("iduser=$s->identity")
				->andwhere("track=$track");
         $this->view->jaime = $q->fetchArray();
		 
//Commentaire		 
		$x = Doctrine_Query::create();
          $x->select('*, o.date as namedate, o.iduser as creer')
                ->from("App_Model_Commentaires o")
				->addSelect('a.pseudo as namepseudo, a.nom as namenom, a.prenom as nameprenom, a.imgprofile as img, a.iduser as user')
                ->innerJoin("o.Registereds a ON a.iduser = o.iduser")
				->where("o.track=$track")
				->orderBy("idcomment DESC")
				->limit("5");
        $this->view->affichecommentaire = $x->fetchArray();	

		$z = Doctrine_Query::create();
            $z = $z->select('count(idcomment) as nbrcoment')
                   ->from("App_Model_Commentaires o")
					->addSelect('a.pseudo as namepseudo, a.nom as namenom, a.prenom as nameprenom, a.imgprofile as img, a.iduser as user')
					->innerJoin("o.Registereds a ON a.iduser = o.iduser")
					->where("o.track=$track")
                   ->fetchArray();
        $this->view->nbrcoment = $nbrcoment= $z[0]["nbrcoment"] ; 
		 		

    } 
	
	public function downloadAction() {
	$this->getHelper("Layout")->disableLayout();
	$track = $this->getRequest()->getParam('id');

        $a = Doctrine_Query::create();
          $a = $a->select('*')
            ->from("App_Model_Tracks o")
            ->addSelect('a.nome as namartist')
            ->innerJoin("o.Artists a ON a.idartist = o.artist")
			->where("o.idtrack = ?", $track)
			->fetchArray();
			   $idtrack= $a[0]["idtrack"] ;
			   $rename= $a[0]["namartist"]."_".$a[0]["track"] ;	
			   $telecharger= $a[0]["telecharge"] ;
			  
			  $values["telecharge"] = $telecharger+1;
		// update
		$q = Doctrine_Query::create();
		$q->update("App_Model_Tracks");
		foreach($values as $k => $v)
		{
			$q->set($k, "?", $v);
		}  
		$q->where("idtrack = ?", $track);
		$q->execute();
		header("Content-type: audio/mp3");
		header("Content-Disposition: attachment; filename=".$rename.'.mp3'); // Renamme
		readfile("mp3/aucun/".$idtrack.'.yng'); // Direct
        exit;
	}	

	public function mp3Action() {
	$this->getHelper("Layout")->disableLayout();
	$track = $this->getRequest()->getParam('id');

		$a = Doctrine_Query::create();
		$a = $a->select('*')
			->from("App_Model_Tracks o")
			->addSelect('a.nome as namartist')
			->innerJoin("o.Artists a ON a.idartist = o.artist")
			->where("o.idtrack = ?", $track)
			->fetchArray();
			   $idtrack= $a[0]["idtrack"] ;
			   $rename= $a[0]["namartist"]."_".$a[0]["track"] ;	
			   $play= $a[0]["play"] ;
			  
			  $values["play"] = $play+1;
		// update
		$q = Doctrine_Query::create();
		$q->update("App_Model_Tracks");
		foreach($values as $k => $v)
		{
			$q->set($k, "?", $v);
		}  
		$q->where("idtrack = ?", $track);
		$q->execute();
		$this->_redirect("/mp3/aucun/".$idtrack.'.yng'); // Direct

	}
	
	public function ajaxlikeAction() {
		
	$this->getHelper("Layout")->disableLayout();
	
	$track = $this->getRequest()->getPost("id");
	$this->view->idtrack = $track;
	
				$s = new Zend_Session_Namespace("AppAuth");
				

			 $values["track"] = $track;
			 $values["iduser"] = $s->identity;
             $object = new App_Model_Jaimes();
             foreach ($values as $k => $v) 
		     {
             $object->$k = $v;
             }
			 $object->save();
			 
			 $j = Doctrine_Query::create();
              $j = $j->select('count(*) as countjm')
                ->from("App_Model_Jaimes")
                ->where("track = ?", $track)
                ->fetchArray();
		    $this->view->countjms = $j[0]["countjm"];
	
	}
	
	public function ajaxdislikeAction() {
		
	$this->getHelper("Layout")->disableLayout();
	
	$track = $this->getRequest()->getPost("id");
	$this->view->idtrack = $track;
	
			$s = new Zend_Session_Namespace("AppAuth");
			
			$q = Doctrine_Query::create()
                    ->delete()
                    ->from("App_Model_Jaimes f")
                    ->where("f.track = ?", $track)
					->andwhere("f.iduser = ?", $s->identity)
                    ->execute();
 
			 
			 $j = Doctrine_Query::create();
              $j = $j->select('count(*) as countjm')
                ->from("App_Model_Jaimes")
                ->where("track = ?", $track)
                ->fetchArray();
		    $this->view->countjms = $j[0]["countjm"];
	
	}
	
		public function ajaxshowmoreAction() {
		
	$this->getHelper("Layout")->disableLayout();
	
	$track = $this->getRequest()->getPost("tra");
	$i = $this->getRequest()->getPost("i");	
	$i=$i+5;
	$this->view->i = $i;
	$this->view->idtrack = $track;
	
	
	$q = Doctrine_Query::create();
          $q->select('*, o.date as namedate, o.iduser as creer')
                ->from("App_Model_Commentaires o")
				->addSelect('a.pseudo as namepseudo, a.nom as namenom, a.prenom as nameprenom, a.imgprofile as img, a.iduser as user')
                ->innerJoin("o.Registereds a ON a.iduser = o.iduser")
				->where("o.track=$track")
				->orderBy("idcomment DESC")
				->limit("$i");
        $this->view->affichecommentaire = $q->fetchArray();	

		$q = Doctrine_Query::create();
            $q = $q->select('count(idcomment) as nbrcoment')
                   ->from("App_Model_Commentaires o")
					->addSelect('a.pseudo as namepseudo, a.nom as namenom, a.prenom as nameprenom, a.imgprofile as img, a.iduser as user')
					->innerJoin("o.Registereds a ON a.iduser = o.iduser")
					->where("o.track=$track")
                   ->fetchArray();
            $this->view->nbrcoment = $nbrcoment= $q[0]["nbrcoment"] ;
    }
	
	public function ajaxcommentAction() {
		
	$this->getHelper("Layout")->disableLayout();
	
	$track = $this->getRequest()->getPost("id");
	$this->view->idvideo = $track;
	
		$s = new Zend_Session_Namespace("AppAuth");
		
		$values["commentaire"] = $this->getRequest()->getPost("comm");	
		$values["iduser"] = $s->identity;
        $values["track"] = $track;
		$values["date"] = date('Y-m-d H:i:s');
        $object = new App_Model_Commentaires();
        foreach ($values as $k => $v) {
            $object->$k = $v;
        }
        $object->save();
		
	$i=5;
	$this->view->i = $i;
	$this->view->idtrack = $track;
	
	
	$q = Doctrine_Query::create();
          $q->select('*, o.date as namedate, o.iduser as creer')
                ->from("App_Model_Commentaires o")
				->addSelect('a.pseudo as namepseudo, a.nom as namenom, a.prenom as nameprenom, a.imgprofile as img, a.iduser as user')
                ->innerJoin("o.Registereds a ON a.iduser = o.iduser")
				->where("o.track=$track")
				->orderBy("idcomment DESC")
				->limit("$i");
        $this->view->affichecommentaire = $q->fetchArray();	

		$q = Doctrine_Query::create();
            $q = $q->select('count(idcomment) as nbrcoment')
                   ->from("App_Model_Commentaires o")
					->addSelect('a.pseudo as namepseudo, a.nom as namenom, a.prenom as nameprenom, a.imgprofile as img, a.iduser as user')
					->innerJoin("o.Registereds a ON a.iduser = o.iduser")
					->where("o.track=$track")
                   ->fetchArray();
            $this->view->nbrcoment = $nbrcoment= $q[0]["nbrcoment"] ;
			
	
	}
	public function ajaxdeleteAction() {
		
	$this->getHelper("Layout")->disableLayout();
	
	$id = $this->getRequest()->getPost("id");
	$track = $this->getRequest()->getPost("tra");
	
		$s = new Zend_Session_Namespace("AppAuth");
		
             $q = Doctrine_Query::create()
                    ->delete()
                    ->from("App_Model_Commentaires f")
                    ->where("f.idcomment = ?", $id)
					->andwhere("f.iduser = ?", $s->identity)
                    ->execute();
		
	$i=5;
	$this->view->i = $i;
	$this->view->idtrack = $track;
	
	
	$q = Doctrine_Query::create();
          $q->select('*, o.date as namedate, o.iduser as creer')
                ->from("App_Model_Commentaires o")
				->addSelect('a.pseudo as namepseudo, a.nom as namenom, a.prenom as nameprenom, a.imgprofile as img, a.iduser as user')
                ->innerJoin("o.Registereds a ON a.iduser = o.iduser")
				->where("o.track=$track")
				->orderBy("idcomment DESC")
				->limit("$i");
        $this->view->affichecommentaire = $q->fetchArray();	

		$q = Doctrine_Query::create();
            $q = $q->select('count(idcomment) as nbrcoment')
                   ->from("App_Model_Commentaires o")
					->addSelect('a.pseudo as namepseudo, a.nom as namenom, a.prenom as nameprenom, a.imgprofile as img, a.iduser as user')
					->innerJoin("o.Registereds a ON a.iduser = o.iduser")
					->where("o.track=$track")
                   ->fetchArray();
            $this->view->nbrcoment = $nbrcoment= $q[0]["nbrcoment"] ;
			
	
	}
	
    
}

?>
