<?php

define("MESSAGE_TYPE_SUCCESS",0x00001);
define("MESSAGE_TYPE_ERROR",0x00002);
define("MESSAGE_TYPE_INFO",0x00003);
define("MESSAGE_TYPE_WARNING",0x00004);

class Appweb_Tools_Controller_BaseAdminController extends Zend_Controller_Action {

    protected $_admin = NULL;

    private $_ignoreList = array("devis"=>array("get-devis-html"));
    
    protected function addMessage($msg, $msgType = MESSAGE_TYPE_ERROR,$redirectUrl = NULL)
    {
        $msg = new Appweb_Tools_Front_Message($msg, $msgType);
        $this->getHelper("FlashMessenger")->addMessage($msg);
        
        if($redirectUrl != NULL && is_string($redirectUrl))
        {
            $this->_redirect($redirectUrl);
        }
    }
    
    public function __construct(Zend_Controller_Request_Abstract $request, Zend_Controller_Response_Abstract $response, array $invokeArgs = array()) {
        
        parent::__construct($request, $response, $invokeArgs);
        
        if(array_key_exists($this->getRequest()->getControllerName(), $this->_ignoreList))
        {
            $actionsList = $this->_ignoreList[$this->getRequest()->getControllerName()];
            if(in_array($this->getRequest()->getActionName(), $actionsList))
            {
                return;
            }
        }
        
        $ns = new Zend_Session_Namespace("AppwebAuth");
        if($this->getRequest()->getControllerName() === "Inbox" OR $this->getRequest()->getControllerName() === "inbox") {
        if ($ns->authenticated !== TRUE) { $this->_redirect("/admin/"); exit;} else {
        if(count($ns->identity) == 0) { $this->_redirect("/admin/"); exit; }
        $this->_admin = $ns->identity; }}
		
		if($this->getRequest()->getControllerName() === "Dashboard" OR $this->getRequest()->getControllerName() === "dashboard") {
        if ($ns->authenticated !== TRUE) { $this->_redirect("/admin/"); exit;} else {
        if(count($ns->identity) == 0) { $this->_redirect("/admin/"); exit; }
        $this->_admin = $ns->identity; }}
		
		if($this->getRequest()->getActionName() === "ajouter" OR $this->getRequest()->getActionName() === "Ajouter") {
        if ($ns->authenticated !== TRUE) { $this->_redirect("/admin/"); exit;} else {
        if(count($ns->identity) == 0) { $this->_redirect("/admin/"); exit; }
        $this->_admin = $ns->identity; }}
		
    }
    
    public function init()
    {
        $this->getHelper("Layout")->setLayout("admin/default");
		//$this->getHelper("Layout")->setLayout("front/default");
    }
}

?>
