<?php
class Admin_AdministrationController extends Appweb_Tools_Controller_BaseAdminController
{
    
    public function indexAction() {
        $this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Home | TravelMA";
		
		
		$q = Doctrine_Query::create();
                $q->select('count(*) as encours')
                   ->from("Appweb_Model_Place c")
                   ->where("c.disponible = ?",0);
                $res = $q->fetchArray();
        $this->view->encoursP = $res[0]["encours"];
		
		$q = Doctrine_Query::create();
                $q->select('count(*) as encours')
                   ->from("Appweb_Model_Hebergement c")
                   ->where("c.disponible = ?",0);
                $res = $q->fetchArray();
        $this->view->encoursH = $res[0]["encours"];
		
		$q = Doctrine_Query::create();
                $q->select('count(*) as Users')
                   ->from("Appweb_Model_Users c")
                   // ->where("c.disponible = ?",0)
				   ;
                $res = $q->fetchArray();
        $this->view->Users = $res[0]["Users"];
		
    }
	public function placeAction() {
	
		$this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Administration | TravelMA";	
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Place c")
			   ->addSelect('d.description AS local')
				->innerJoin("c.Local d ON d.id = c.ville")
				->addSelect('u.photo AS photo')
				->addSelect('u.nomcomplet AS nomcomplet')
				->innerJoin("c.Users u ON u.id = c.iduser")
				->where("c.disponible = ?",0)
			   ->orderby("c.id DESC");
        $this->view->place1 = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Place c")
			   ->addSelect('d.description AS local')
				->innerJoin("c.Local d ON d.id = c.ville")
				->addSelect('u.photo AS photo')
				->addSelect('u.nomcomplet AS nomcomplet')
				->innerJoin("c.Users u ON u.id = c.iduser")
				->where("c.disponible = ?",3)
			   ->orderby("c.id DESC");
        $this->view->place2 = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Place c")
			   ->addSelect('d.description AS local')
				->innerJoin("c.Local d ON d.id = c.ville")
				->addSelect('u.photo AS photo')
				->addSelect('u.nomcomplet AS nomcomplet')
				->innerJoin("c.Users u ON u.id = c.iduser")
				->where("c.disponible = ?",1)
			   ->orderby("c.id DESC");
        $this->view->place3 = $q->fetchArray();
		
		$q = Doctrine_Query::create();
                $q->select('count(*) as encours')
                   ->from("Appweb_Model_Place c")
                   ->where("c.disponible = ?",0);
                $res = $q->fetchArray();
        $this->view->encours = $res[0]["encours"];
		
		$q = Doctrine_Query::create();
                $q->select('count(*) as archive')
                   ->from("Appweb_Model_Place c")
                   ->where("c.disponible = ?",3);
                $res = $q->fetchArray();
        $this->view->archive = $res[0]["archive"];
		
		$q = Doctrine_Query::create();
                $q->select('count(*) as valide')
                   ->from("Appweb_Model_Place c")
                   ->where("c.disponible = ?",1);
                $res = $q->fetchArray();
        $this->view->valide = $res[0]["valide"];
	}
	public function hebergementAction() {
		
		$this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Administration | TravelMA";
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Hebergement c")
			   ->addSelect('d.description AS local')
				->innerJoin("c.Local d ON d.id = c.ville")
				->addSelect('u.photo AS photo')
				->addSelect('u.nomcomplet AS nomcomplet')
				->innerJoin("c.Users u ON u.id = c.iduser")
				->addSelect('t.description AS type')
				->innerJoin("c.HeberType t ON t.id = c.hebergement")
				->where("c.disponible = ?",0)
			   ->orderby("c.id DESC");
        $this->view->Hebergement1 = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Hebergement c")
			   ->addSelect('d.description AS local')
				->innerJoin("c.Local d ON d.id = c.ville")
				->addSelect('u.photo AS photo')
				->addSelect('u.nomcomplet AS nomcomplet')
				->innerJoin("c.Users u ON u.id = c.iduser")
				->addSelect('t.description AS type')
				->innerJoin("c.HeberType t ON t.id = c.hebergement")
				->where("c.disponible = ?",3)
			   ->orderby("c.id DESC");
        $this->view->Hebergement2 = $q->fetchArray();
		
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Hebergement c")
			   ->addSelect('d.description AS local')
				->innerJoin("c.Local d ON d.id = c.ville")
				->addSelect('u.photo AS photo')
				->addSelect('u.nomcomplet AS nomcomplet')
				->innerJoin("c.Users u ON u.id = c.iduser")
				->addSelect('t.description AS type')
				->innerJoin("c.HeberType t ON t.id = c.hebergement")
				->where("c.disponible = ?",1)
			   ->orderby("c.id DESC");
        $this->view->Hebergement3 = $q->fetchArray();
		
		$q = Doctrine_Query::create();
                $q->select('count(*) as encours')
                   ->from("Appweb_Model_Hebergement c")
                   ->where("c.disponible = ?",0);
                $res = $q->fetchArray();
        $this->view->encours = $res[0]["encours"];
		
		$q = Doctrine_Query::create();
                $q->select('count(*) as archive')
                   ->from("Appweb_Model_Hebergement c")
                   ->where("c.disponible = ?",3);
                $res = $q->fetchArray();
        $this->view->archive = $res[0]["archive"];
		
		$q = Doctrine_Query::create();
                $q->select('count(*) as valide')
                   ->from("Appweb_Model_Hebergement c")
                   ->where("c.disponible = ?",1);
                $res = $q->fetchArray();
        $this->view->valide = $res[0]["valide"];
	}
	public function usersAction() {
		
		$this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Administration | TravelMA";
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Users o")
			   ->addSelect('b.description as description')
			   ->innerJoin("o.Typeuser b ON b.id = o.idtype");
        $this->view->liste = $q->fetchArray();
		
		
		$q1 = Doctrine_Query::create();		
         $q1->select('*')
               ->from("Appweb_Model_Typeuser o");
        $this->view->listeTypeuser = $q1->fetchArray();
	}
	
	public function valideplaceAction() {
		
        $this->getHelper("Layout")->disableLayout();
		
		$id = $this->getRequest()->getParam("id");		
	
						$values["disponible"] = 1;												
							
							$q = Doctrine_Query::create();
							$q->update("Appweb_Model_Place");
							foreach($values as $k => $v)
							{
								$q->set($k, "?", $v);
							}
							
							$q->where("id = ?", $id);
							
							$q->execute();
		
							
				$this->_redirect("/admin/Administration/place");

		
    }
	public function archiverplaceAction() {
		
        $this->getHelper("Layout")->disableLayout();
		
		$id = $this->getRequest()->getParam("id");		
	
						$values["disponible"] = 3;												
							
							$q = Doctrine_Query::create();
							$q->update("Appweb_Model_Place");
							foreach($values as $k => $v)
							{
								$q->set($k, "?", $v);
							}
							
							$q->where("id = ?", $id);
							
							$q->execute();
		
							
				$this->_redirect("/admin/Administration/place");

		
    }
	public function archiverhebergementAction() {
		
        $this->getHelper("Layout")->disableLayout();
		
		$id = $this->getRequest()->getParam("id");		
	
						$values["disponible"] = 3;												
							
							$q = Doctrine_Query::create();
							$q->update("Appweb_Model_Hebergement");
							foreach($values as $k => $v)
							{
								$q->set($k, "?", $v);
							}
							
							$q->where("id = ?", $id);
							
							$q->execute();
		
							
				$this->_redirect("/admin/Administration/Hebergement");

		
    }
	public function suprrimerplaceAction() {
		
        $this->getHelper("Layout")->disableLayout();
		
		$id = $this->getRequest()->getParam("id");		
		
            $q = Doctrine_Query::create()
                    ->delete()
                    ->from("Appweb_Model_Place")
                    ->where("id = ?", $id)
                    ->execute();
            
			$this->_redirect("/admin/Administration/place");

		
    }
	public function suprrimerhebergementAction() {
		
        $this->getHelper("Layout")->disableLayout();
		
		$id = $this->getRequest()->getParam("id");		
		
            $q = Doctrine_Query::create()
                    ->delete()
                    ->from("Appweb_Model_Hebergement")
                    ->where("id = ?", $id)
                    ->execute();
            
			$this->_redirect("/admin/Administration/Hebergement");

		
    }
	public function validehebergementAction() {
		
        $this->getHelper("Layout")->disableLayout();
		
		$id = $this->getRequest()->getParam("id");		
	
						$values["disponible"] = 1;												
							
							$q = Doctrine_Query::create();
							$q->update("Appweb_Model_Hebergement");
							foreach($values as $k => $v)
							{
								$q->set($k, "?", $v);
							}
							
							$q->where("id = ?", $id);
							
							$q->execute();
		
							
				$this->_redirect("/admin/Administration/Hebergement");

		
    }
	public function typeuserAction() {
		
        $this->getHelper("Layout")->disableLayout();
		
		$id = $this->getRequest()->getPost("id");		
	
						$values["idtype"] = $this->getRequest()->getPost("type");											
							
							$q = Doctrine_Query::create();
							$q->update("Appweb_Model_Users");
							foreach($values as $k => $v)
							{
								$q->set($k, "?", $v);
							}
							
							$q->where("id = ?", $id);
							
							$q->execute();
		
							
				$this->_redirect("/admin/Administration/Users");

		
    }

}
?>
