<?php
class Admin_DashboardController extends Appweb_Tools_Controller_BaseAdminController
{
    
    public function indexAction() {
        $this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Tableau de bord | TravelMA";
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$identity = $ns->identity;
		
		$id=$this->getRequest()->getParam("id");
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Ville o")
			   ->orderby("o.id");
        $this->view->listecity = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Hebergement c")
			   ->addSelect('d.description AS local')
				->innerJoin("c.Local d ON d.id = c.ville")
			   ->orderby("c.id DESC");
        $this->view->meilleur = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Users o")
			   ->orderby("o.date_creation DESC");
        $this->view->listuser = $q->fetchArray();
		
		
		$q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_OffreDemande o")			   
				->addSelect('c.nomcomplet AS nomcomplet')
				->addSelect('c.photo AS photo')
				->innerJoin("o.Users c ON o.iduser = c.id")
				->addSelect('d.description AS depart')
				->innerJoin("o.Depart d ON o.id_depart = d.id") 
				->addSelect('a.description AS arrivee')
				->innerJoin("o.Arrivee a ON o.id_arrivee = a.id")
				->where("o.date_depart >= ?", date("Y-m-d H:i:s") )
				->andwhere("o.type = ?",1)
				->andwhere("o.iduser = ?",$identity)
				->orderby("o.date_depart ASC");
        $this->view->liste = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_OffreDemande o")			   
				->addSelect('c.nomcomplet AS nomcomplet')
				->addSelect('c.photo AS photo')
				->innerJoin("o.Users c ON o.iduser = c.id")
				->addSelect('d.description AS depart')
				->innerJoin("o.Depart d ON o.id_depart = d.id") 
				->addSelect('a.description AS arrivee')
				->innerJoin("o.Arrivee a ON o.id_arrivee = a.id")
				->where("o.date_depart < ?", date("Y-m-d H:i:s") )
				->andwhere("o.type = ?",1)
				->andwhere("o.iduser = ?",$identity)
				->orderby("o.date_depart ASC");
        $this->view->liste1 = $q->fetchArray();
		
		
		$q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_OffreDemande o")			   
				->addSelect('c.nomcomplet AS nomcomplet')
				->addSelect('c.photo AS photo')
				->innerJoin("o.Users c ON o.iduser = c.id")
				->addSelect('d.description AS depart')
				->innerJoin("o.Depart d ON o.id_depart = d.id") 
				->addSelect('a.description AS arrivee')
				->innerJoin("o.Arrivee a ON o.id_arrivee = a.id")
				->where("o.date_depart >= ?", date("Y-m-d H:i:s") )
				->andwhere("o.type = ?",2)
				->andwhere("o.iduser = ?",$identity)
				->orderby("o.date_depart ASC");
        $this->view->listedemande = $q->fetchArray();
		
		
		$q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_OffreDemande o")			   
				->addSelect('c.nomcomplet AS nomcomplet')
				->addSelect('c.photo AS photo')
				->innerJoin("o.Users c ON o.iduser = c.id")
				->addSelect('d.description AS depart')
				->innerJoin("o.Depart d ON o.id_depart = d.id") 
				->addSelect('a.description AS arrivee')
				->innerJoin("o.Arrivee a ON o.id_arrivee = a.id")
				->where("o.date_depart < ?", date("Y-m-d H:i:s") )
				->andwhere("o.type = ?",2)
				->andwhere("o.iduser = ?",$identity)
				->orderby("o.date_depart ASC");
        $this->view->listedemande1 = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_OffreDemande o")			   
				->addSelect('c.nomcomplet AS nomcomplet')
				->addSelect('c.photo AS photo')
				->innerJoin("o.Users c ON o.iduser = c.id")
				->addSelect('d.description AS depart')
				->innerJoin("o.Depart d ON o.id_depart = d.id") 
				->addSelect('a.description AS arrivee')
				->innerJoin("o.Arrivee a ON o.id_arrivee = a.id")
				->addSelect('t.idfrom AS idfrom')
				->innerJoin("o.MsgDemande t ON o.id = t.iddemande")
				->where("t.idfrom = ?",$identity)
				->orderby("o.date_depart ASC");
        $this->view->listedemande2 = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('count(*) as ofresencours')
				->from("Appweb_Model_OffreDemande o")	
				->where("o.date_depart >= ?", date("Y-m-d H:i:s") )
				->andwhere("o.type = ?",1)
				->andwhere("o.iduser = ?",$identity);
        $res = $q->fetchArray();
        $this->view->ofresencours = $res[0]["ofresencours"];
		
		$q = Doctrine_Query::create();
         $q->select('count(*) as ofresarchive')
				->from("Appweb_Model_OffreDemande o")
				->where("o.date_depart < ?", date("Y-m-d H:i:s") )
				->andwhere("o.type = ?",1)
				->andwhere("o.iduser = ?",$identity);
        $res = $q->fetchArray();
        $this->view->ofresarchive = $res[0]["ofresarchive"];
		
		$q = Doctrine_Query::create();
         $q->select('count(*) as demandeencours')
				->from("Appweb_Model_OffreDemande o")	
				->where("o.date_depart >= ?", date("Y-m-d H:i:s") )
				->andwhere("o.type = ?",2)
				->andwhere("o.iduser = ?",$identity);
        $res = $q->fetchArray();
        $this->view->demandeencours = $res[0]["demandeencours"];
		
		$q = Doctrine_Query::create();
         $q->select('count(*) as demandarchive')
				->from("Appweb_Model_OffreDemande o")
				->where("o.date_depart < ?", date("Y-m-d H:i:s") )
				->andwhere("o.type = ?",2)
				->andwhere("o.iduser = ?",$identity);
        $res = $q->fetchArray();
        $this->view->demandarchive = $res[0]["demandarchive"];
		
		$q1 = Doctrine_Query::create();
         $q1->select('*')
				->from("Appweb_Model_OffreDemande o")			   
				->addSelect('c.nomcomplet AS nomcomplet')
				->addSelect('c.photo AS photo')
				->innerJoin("o.Users c ON o.iduser = c.id")
				->addSelect('d.description AS depart')
				->innerJoin("o.Depart d ON o.id_depart = d.id") 
				->addSelect('a.description AS arrivee')
				->innerJoin("o.Arrivee a ON o.id_arrivee = a.id")
				->addSelect('t.idfrom AS idfrom')
				->innerJoin("o.MsgDemande t ON o.id = t.iddemande")
				->groupby("t.idfrom")
				->where("t.idfrom = ?",$identity);
        $res1 = $q1->fetchArray();
        $this->view->demandechoisi = count($res1);
		
		
		
    }
	
	public function ajaxlireAction() {
			
		$this->getHelper("Layout")->disableLayout();
		$id =  $this->getRequest()->getPost("id");
		$iddemande =  $this->getRequest()->getPost("i");
		$s = new Zend_Session_Namespace("AppwebAuth");
		$iduser =$s->identity;
		$s->idfrom =$id;
		
		$this->view->id = $id;
		$this->view->iduser = $iduser;
		$this->view->iddemande = $iddemande;
		
		$q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_MsgDemande o")			   
				->addSelect('c.nomcomplet AS nomcomplet1')
				->addSelect('c.photo AS photo1')
				->innerJoin("o.From c ON o.idfrom = c.id")
				->addSelect('t.nomcomplet AS nomcomplet2')
				->addSelect('t.photo AS photo2')
				->leftJoin("o.To t ON o.idto = t.id")
				->addSelect('p.iduser AS iduser')
				->innerJoin("o.OffreDemande p ON o.iddemande = p.id")
				->where("o.idfrom = ?", $id  )
				->andwhere("o.iddemande = ?",$iddemande )
				->orderby("o.date_creation DESC");
        $this->view->listeFeedback = $q->fetchArray();
		
	}
	
	public function ajaxlire1Action() {
			
		$this->getHelper("Layout")->disableLayout();
		$id =  $this->getRequest()->getPost("id");
		$iddemande =  $this->getRequest()->getPost("i");
		$s = new Zend_Session_Namespace("AppwebAuth");
		$iduser =$s->identity;
		$s->idfrom =$id;
		
		$this->view->id = $id;
		$this->view->iduser = $iduser;
		$this->view->iddemande = $iddemande;
		
		$q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_MsgDemande o")			   
				->addSelect('c.nomcomplet AS nomcomplet1')
				->addSelect('c.photo AS photo1')
				->innerJoin("o.From c ON o.idfrom = c.id")
				->addSelect('t.nomcomplet AS nomcomplet2')
				->addSelect('t.photo AS photo2')
				->leftJoin("o.To t ON o.idto = t.id")
				->addSelect('p.iduser AS iduser')
				->innerJoin("o.OffreDemande p ON o.iddemande = p.id")
				->where("o.idfrom = ?", $id  )
				->andwhere("o.iddemande = ?",$iddemande )
				->orderby("o.date_creation DESC");
        $this->view->listeFeedback = $q->fetchArray();
		
	}
	public function repondreAction() {
		$this->getHelper("Layout")->disableLayout();
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$identity = $ns->identity;
        $this->view->idsession= $identity;
		$id =  $this->getRequest()->getParam("id");
		if($this->getRequest()->isPost())
        {
						if($this->getRequest()->getPost("Message")!=""){
							
							$values["objet"] = "Vous avez 1 nouveau message";
							$values["message"] = $this->getRequest()->getPost("Message");
							$values["idfrom"] = $this->getRequest()->getPost("idfrom");
							$values["idto"] = $identity;
							$values["iddemande"] = $id;
							
							$object = new Appweb_Model_MsgDemande();
							foreach ($values as $k => $v) {
							$object->$k = $v;
							}
		   
							$object->save();
						}
							
				$this->_redirect("/admin/Dashboard/demande/id/".$id);
		}
	}	
		
	public function participantsAction() {
			
		$this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Participants | TravelMA";
		$this->view->pagename = "show";
		
		$s = new Zend_Session_Namespace("AppwebAuth");
		$iduser =$s->identity;
		$id =  $this->getRequest()->getParam("id");
			
		 $q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_Participer p")	
				->addSelect('u.nomcomplet AS nomcompletfrom')
				->addSelect('u.photo AS photofrom')
				->innerJoin("p.Users u ON p.idfrom = u.id")
				->addSelect('o.date_depart AS date_depart')
				->addSelect('o.id_depart AS id_depart')
				->addSelect('o.id_arrivee AS id_arrivee')
				->addSelect('o.iduser AS iduser')
				->innerJoin("p.OffreDemande o ON p.idoffre = o.id")
				->addSelect('c.nomcomplet AS nomcompletto')
				->addSelect('c.photo AS phototo')
				->innerJoin("o.Users c ON o.iduser = c.id")
				->addSelect('d.description AS depart')
				->innerJoin("o.Depart d ON o.id_depart = d.id") 
				->addSelect('a.description AS arrivee')
				->innerJoin("o.Arrivee a ON o.id_arrivee = a.id")
				->where("o.date_depart >= ?", date("Y-m-d H:i:s") )
				->andwhere("c.id = ?", $iduser)
				->andwhere("p.status = ?",0)
				->orderby("p.date_envoyer DESC");
        $this->view->listeRecu = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('count(*) as nbrencour')
				->from("Appweb_Model_Participer p")	
				->addSelect('u.nomcomplet AS nomcompletfrom')
				->addSelect('u.photo AS photofrom')
				->innerJoin("p.Users u ON p.idfrom = u.id")
				->addSelect('o.date_depart AS date_depart')
				->addSelect('o.id_depart AS id_depart')
				->addSelect('o.id_arrivee AS id_arrivee')
				->addSelect('o.iduser AS iduser')
				->innerJoin("p.OffreDemande o ON p.idoffre = o.id")
				->innerJoin("o.Users c ON o.iduser = c.id")
				->where("c.id = ?", $iduser)
				->andwhere("p.status = ?",0)
				->andwhere("o.date_depart >= ?", date("Y-m-d H:i:s") );
        $res = $q->fetchArray();
        $this->view->EnCoure = $res[0]["nbrencour"];
		
		$q = Doctrine_Query::create();
         $q->select('count(*) as nbrrecue')
				->from("Appweb_Model_Participer p")	
				->addSelect('u.nomcomplet AS nomcompletfrom')
				->addSelect('u.photo AS photofrom')
				->innerJoin("p.Users u ON p.idfrom = u.id")
				->addSelect('o.date_depart AS date_depart')
				->addSelect('o.id_depart AS id_depart')
				->addSelect('o.id_arrivee AS id_arrivee')
				->addSelect('o.iduser AS iduser')
				->innerJoin("p.OffreDemande o ON p.idoffre = o.id")
				->innerJoin("o.Users c ON o.iduser = c.id")
				->where("c.id = ?", $iduser);
        $res = $q->fetchArray();
        $this->view->Recu = $res[0]["nbrrecue"];
		
		$q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_Participer p")	
				->addSelect('u.nomcomplet AS nomcompletfrom')
				->addSelect('u.photo AS photofrom')
				->innerJoin("p.Users u ON p.idfrom = u.id")
				->addSelect('o.date_depart AS date_depart')
				->addSelect('o.id_depart AS id_depart')
				->addSelect('o.id_arrivee AS id_arrivee')
				->addSelect('o.iduser AS iduser')
				->innerJoin("p.OffreDemande o ON p.idoffre = o.id")
				->addSelect('c.nomcomplet AS nomcompletto')
				->addSelect('c.photo AS phototo')
				->innerJoin("o.Users c ON o.iduser = c.id")
				->addSelect('d.description AS depart')
				->innerJoin("o.Depart d ON o.id_depart = d.id") 
				->addSelect('a.description AS arrivee')
				->innerJoin("o.Arrivee a ON o.id_arrivee = a.id")
				->where("p.idoffre = ?", $id)
				->orderby("p.date_envoyer DESC");
        $this->view->listeEnvoye = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('count(*) as nbrenvoye')
				->from("Appweb_Model_Participer p")	
				->addSelect('u.nomcomplet AS nomcompletfrom')
				->addSelect('u.photo AS photofrom')
				->innerJoin("p.Users u ON p.idfrom = u.id")
				->addSelect('o.date_depart AS date_depart')
				->addSelect('o.id_depart AS id_depart')
				->addSelect('o.id_arrivee AS id_arrivee')
				->addSelect('o.iduser AS iduser')
				->innerJoin("p.OffreDemande o ON p.idoffre = o.id")
				->where("u.id = ?", $iduser);
        $res = $q->fetchArray();
        $this->view->Envoye = $res[0]["nbrenvoye"];
		
		$q = Doctrine_Query::create();
         $q->select('count(*) as nbraprove')
				->from("Appweb_Model_Participer p")	
				->addSelect('u.nomcomplet AS nomcompletfrom')
				->addSelect('u.photo AS photofrom')
				->innerJoin("p.Users u ON p.idfrom = u.id")
				->addSelect('o.date_depart AS date_depart')
				->addSelect('o.id_depart AS id_depart')
				->addSelect('o.id_arrivee AS id_arrivee')
				->addSelect('o.iduser AS iduser')
				->innerJoin("p.OffreDemande o ON p.idoffre = o.id")
				->where("u.id = ?", $iduser)
				->andwhere("p.status = ?",1);
        $res = $q->fetchArray();
        $this->view->Approve = $res[0]["nbraprove"];
		
		$q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_OffreDemande o")			   
				->addSelect('c.nomcomplet AS nomcomplet')
				->addSelect('c.photo AS photo')
				->innerJoin("o.Users c ON o.iduser = c.id")
				->addSelect('d.description AS depart')
				->innerJoin("o.Depart d ON o.id_depart = d.id") 
				->addSelect('a.description AS arrivee')
				->innerJoin("o.Arrivee a ON o.id_arrivee = a.id")
				->where("o.id = ?",$id)
				->orderby("o.date_depart ASC");
        $this->view->liste1 = $q->fetchArray();
		
		}
	public function demandeAction() {
			
		$this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Participants | TravelMA";
		$this->view->pagename = "show";
		
		$s = new Zend_Session_Namespace("AppwebAuth");
		$iduser =$s->identity;
		$idfrom =$s->idfrom;
		$iddemande =  $this->getRequest()->getParam("id");
		$this->view->idsession = $iduser;
		
		$this->view->id = $idfrom;
		$this->view->iduser = $iduser;
		$this->view->iddemande = $iddemande;
		
		$q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_OffreDemande o")			   
				->addSelect('c.nomcomplet AS nomcomplet')
				->addSelect('c.photo AS photo')
				->innerJoin("o.Users c ON o.iduser = c.id")
				->addSelect('d.description AS depart')
				->innerJoin("o.Depart d ON o.id_depart = d.id") 
				->addSelect('a.description AS arrivee')
				->innerJoin("o.Arrivee a ON o.id_arrivee = a.id")
				->where("o.id = ?",$iddemande)
				->orderby("o.date_depart ASC");
        $this->view->liste1 = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_MsgDemande p")	
				->addSelect('u.nomcomplet AS nomcompletfrom')
				->addSelect('u.photo AS photofrom')
				->innerJoin("p.From u ON p.idfrom = u.id")
				->addSelect('o.date_depart AS date_depart')
				->addSelect('o.id_depart AS id_depart')
				->addSelect('o.id_arrivee AS id_arrivee')
				->addSelect('o.iduser AS iduser')
				->innerJoin("p.OffreDemande o ON p.iddemande = o.id")
				->addSelect('c.nomcomplet AS nomcompletto')
				->addSelect('c.photo AS phototo')
				->innerJoin("o.Users c ON o.iduser = c.id")
				->addSelect('d.description AS depart')
				->innerJoin("o.Depart d ON o.id_depart = d.id") 
				->addSelect('a.description AS arrivee')
				->innerJoin("o.Arrivee a ON o.id_arrivee = a.id")
				->where("p.iddemande = ?", $iddemande)
				->orderby("p.date_creation DESC")
				->groupby("p.idfrom");;
        $this->view->listeEnvoye = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_MsgDemande o")			   
				->addSelect('c.nomcomplet AS nomcomplet1')
				->addSelect('c.photo AS photo1')
				->innerJoin("o.From c ON o.idfrom = c.id")
				->addSelect('t.nomcomplet AS nomcomplet2')
				->addSelect('t.photo AS photo2')
				->leftJoin("o.To t ON o.idto = t.id")
				->addSelect('p.iduser AS iduser')
				->innerJoin("o.OffreDemande p ON o.iddemande = p.id")
				->where("o.idfrom = ?", $idfrom  )
				->andwhere("o.iddemande = ?",$iddemande )
				->orderby("o.date_creation DESC");
        $this->view->listeFeedback = $q->fetchArray();
		
		}
		public function deleteAction() {
		
        $this->getHelper("Layout")->disableLayout();
		
		$id = $this->getRequest()->getParam("id");		
		
            $q = Doctrine_Query::create()
                    ->delete()
                    ->from("Appweb_Model_MsgDemande")
                    ->where("iddemande = ?", $id)
                    ->execute();
					
			$q = Doctrine_Query::create()
                    ->delete()
                    ->from("Appweb_Model_Participer")
                    ->where("idoffre = ?", $id)
                    ->execute();
					
			$q = Doctrine_Query::create()
                    ->delete()
                    ->from("Appweb_Model_OffreDemande")
                    ->where("id = ?", $id)
                    ->execute();
            
			$this->_redirect("/admin/Dashboard/");

		
    }
}
?>
