<?php
class Admin_HebergementController extends Appweb_Tools_Controller_BaseAdminController
{
    
    public function indexAction() {
        $this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Hebergement | TravelMA";
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Ville o")
			   ->orderby("o.id");
        $this->view->listecity = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Hebergement c")
			   ->addSelect('d.description AS local')
				->innerJoin("c.Local d ON d.id = c.ville")
				->where("c.disponible = ?",1)
			   ->orderby("c.id DESC");
        $this->view->meilleur = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Users o")
			   ->orderby("o.date_creation DESC");
        $this->view->listuser = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_HeberType o")
			   ->orderby("o.description");
        $this->view->listeHeberType = $q->fetchArray();
    }
	public function listAction() {
        $this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Mes Hebergement | TravelMA";
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$identity = $ns->identity;
		$this->view->back ="list";
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Hebergement c")
			   ->addSelect('d.description AS local')
				->innerJoin("c.Local d ON d.id = c.ville")
				->where("c.iduser = ?", $identity)
				->andWhere("c.disponible != ?",3)
			   ->orderby("c.id DESC");
        $this->view->meilleur = $q->fetchArray();
		
		
    }
	//*********
	public function ajouterAction() {
        $this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Hebergement | TravelMA";
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$identity = $ns->identity;
		
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Region o")
			   ->orderby("o.id");
        $this->view->listeregion = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Ville o")
			   ->orderby("o.id");
        $this->view->listecity = $q->fetchArray();
		
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Users o")
			   ->orderby("o.date_creation DESC");
        $this->view->listuser = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_HeberType o")
			   ->orderby("o.description");
        $this->view->listeHeberType = $q->fetchArray();
		
		if($this->getRequest()->isPost())
        {
							
							$values["iduser"] = $identity ;
							$values["hebergement"] = $this->getRequest()->getPost("type");
							$values["ville"] = $this->getRequest()->getPost("Ville");
							$values["nom"] = $this->getRequest()->getPost("nom");
							$values["discrip"] = $this->getRequest()->getPost("discrip");
							$values["adress"] = $this->getRequest()->getPost("adress");
							$values["mail"] = $this->getRequest()->getPost("mail");
							$values["web"] = $this->getRequest()->getPost("web");
							$values["mobile"] = $this->getRequest()->getPost("mobile");
							$values["buffet"] = $this->getRequest()->getPost("buffet");
							$values["buffet_valeur"] = $this->getRequest()->getPost("buffet_valeur");
							$values["wifi"] = $this->getRequest()->getPost("wifi");
							$values["wifi_valeur"] = $this->getRequest()->getPost("wifi_valeur");
							$values["parking"] = $this->getRequest()->getPost("parking");
							$values["parking_valeur"] = $this->getRequest()->getPost("parking_valeur");
							$values["piscine"] = $this->getRequest()->getPost("piscine");
							$values["piscine_valeur"] = $this->getRequest()->getPost("piscine_valeur");
							$values["bar"] = $this->getRequest()->getPost("bar");
							$values["tarif"] = $this->getRequest()->getPost("tarif");
							
							
							
							$object = new Appweb_Model_Hebergement();
							foreach ($values as $k => $v) {
							$object->$k = $v;
							}
					
							$object->save();
							$id=$object->id;
							
							if ($_FILES['img_a']['error'] == 0)
							{
							$uploadPath = APPLICATION_PATH.'/../public/assets/hotelpic';
							$infosfichier1 = pathinfo($_FILES['img_a']['name']);
							$extension_upload1 = $infosfichier1['extension'];
							move_uploaded_file($_FILES['img_a']['tmp_name'], $uploadPath."/".$id.'_1.'.$extension_upload1);
							}
							if ($_FILES['img_b']['error'] == 0)
							{
							$infosfichier2 = pathinfo($_FILES['img_b']['name']);
							$extension_upload2 = $infosfichier2['extension'];
							move_uploaded_file($_FILES['img_b']['tmp_name'], $uploadPath."/".$id.'_2.'.$extension_upload2);
							}
							if ($_FILES['img_c']['error'] == 0)
							{
							$infosfichier3 = pathinfo($_FILES['img_c']['name']);
							$extension_upload3 = $infosfichier3['extension'];
							move_uploaded_file($_FILES['img_c']['tmp_name'], $uploadPath."/".$id.'_3.'.$extension_upload3);
							}
							if ($_FILES['img_d']['error'] == 0)
							{
							$infosfichier4 = pathinfo($_FILES['img_d']['name']);
							$extension_upload4 = $infosfichier4['extension'];
							move_uploaded_file($_FILES['img_d']['tmp_name'], $uploadPath."/".$id.'_4.'.$extension_upload4);
							}
							if ($_FILES['img_e']['error'] == 0)
							{
							$infosfichier5 = pathinfo($_FILES['img_e']['name']);
							$extension_upload5 = $infosfichier5['extension'];
							move_uploaded_file($_FILES['img_e']['tmp_name'], $uploadPath."/".$id.'_5.'.$extension_upload5);
							}
							
							$values1["img_a"] = $id.'_1.'.$extension_upload1;
							$values1["img_b"] = $id.'_2.'.$extension_upload2;
							$values1["img_c"] = $id.'_3.'.$extension_upload3;
							$values1["img_d"] = $id.'_4.'.$extension_upload4;
							$values1["img_e"] = $id.'_5.'.$extension_upload5;
							
							$q1 = Doctrine_Query::create();
							$q1->update("Appweb_Model_Hebergement");
							foreach($values1 as $k1 => $v1)
							{
								$q1->set($k1, "?", $v1);
							}
							
							$q1->where("id = ?", $id);
							
							$q1->execute();
							
				$this->_redirect("/admin/Hebergement/");
		}
		
    }
	//***********
	public function detailAction() {
        $this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Hebergement | TravelMA";
		
		$id = $this->getRequest()->getParam("id");
		$this->view->id1= $id;
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$identity = $ns->identity;
        $this->view->idsession= $identity;
		
		$q = Doctrine_Query::create();
         $records = $q->select('*,id as idhebegement')
               ->from("Appweb_Model_Hebergement s")
				->addSelect('o.description AS city')
				->innerJoin("s.Local o ON o.id = s.ville")
				->addSelect('t.description AS type')
				->innerJoin("s.HeberType t ON t.id = s.hebergement")
			   ->where("s.id = ?", $id)
			   ->fetchArray();
		$this->view->record = $records[0];
		
		list($name1,$ext1) = explode(".", $records[0]["img_a"]);
		list($name2,$ext2) = explode(".", $records[0]["img_b"]);
		list($name3,$ext3) = explode(".", $records[0]["img_c"]);
		list($name4,$ext4) = explode(".", $records[0]["img_d"]);
		list($name5,$ext5) = explode(".", $records[0]["img_e"]);
		$this->view->ext1 = $ext1;
		$this->view->ext2 = $ext2;
		$this->view->ext3 = $ext3;
		$this->view->ext4 = $ext4;
		$this->view->ext5 = $ext5;
		
		$q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_FeedbackHeberg o")			   
				->addSelect('c.nomcomplet AS nomcomplet1')
				->addSelect('c.photo AS photo1')
				->innerJoin("o.From c ON o.idfrom = c.id")
				->where("o.idhebergement = ?", $id)
				->andwhere("o.archived = ?", 1)
				->orderby("o.date_creation DESC");
        $this->view->listeFeedback = $q->fetchArray();
		
		$q1 = Doctrine_Query::create();
         $records1 = $q1->select('count(*) as nbr')
               ->from("Appweb_Model_FeedbackHeberg s")
			   ->where("s.idhebergement = ?", $id)
			   ->fetchArray();
		$this->view->record1 = $records1[0];
		
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Users o")
			   ->orderby("o.date_creation DESC");
        $this->view->listuser = $q->fetchArray();
    }
	public function feedbackAction() {
		$this->getHelper("Layout")->disableLayout();
		$id = $this->getRequest()->getParam("id");
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$identity = $ns->identity;
        $this->view->idsession= $identity;
		
		if($this->getRequest()->isPost())
        {
						if($this->getRequest()->getPost("comment")!=""){
							$values["comment"] = $this->getRequest()->getPost("comment");
							$values["idfrom"] = $identity;
							$values["idhebergement"] = $id;
							$values["archived"] = 1;
							
							$object = new Appweb_Model_FeedbackHeberg();
							foreach ($values as $k => $v) {
							$object->$k = $v;
							}
		   
							$object->save();
						}
				
				$this->_redirect("/admin/Hebergement/detail/id/".$id);
		}
	}
	public function filterAction() {
        $this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Hebergement | TravelMA";
		
		$id = $this->getRequest()->getParam("id");
		
		list($ville,$type) = explode("-", $id);
		
		$this->view->ville= $ville;
		$this->view->type= $type;
		
		$q1 = Doctrine_Query::create();
         $q1->select('*')
               ->from("Appweb_Model_Ville o")
			   ->orderby("o.id");
        $this->view->listecity = $q1->fetchArray();
		
		$q = Doctrine_Query::create();
        $q =  $q->select('*')
               ->from("Appweb_Model_Hebergement c")
			   ->addSelect('d.description AS local')
				->innerJoin("c.Local d ON d.id = c.ville")
				->where("c.disponible = ?",1)
			   ->orderby("c.id DESC");
			   
			   
		if($ville<>'0'){
		$q= $q->andwhere("c.ville = ?", $ville);
		} 
		if($type<>'0'){
		$q= $q->andwhere("c.hebergement = ?", $type);
		} 
		
        $this->view->meilleur = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_HeberType o")
			   ->orderby("o.description");
        $this->view->listeHeberType = $q->fetchArray();
		
		
		

    }
	public function modifierAction() {
        $this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Hebergement | TravelMA";
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$identity = $ns->identity;
		
		$id = $this->getRequest()->getParam("id");
		$this->view->idparam =$id;
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Region o")
			   ->orderby("o.id");
        $this->view->listeregion = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Ville o")
			   ->orderby("o.id");
        $this->view->listecity = $q->fetchArray();
		
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Users o")
			   ->orderby("o.date_creation DESC");
        $this->view->listuser = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_HeberType o")
			   ->orderby("o.description");
        $this->view->listeHeberType = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $records = $q->select('*,id as idhebegement')
               ->from("Appweb_Model_Hebergement s")
				->addSelect('o.description AS city')
				->innerJoin("s.Local o ON o.id = s.ville")
				->addSelect('t.description AS type')
				->innerJoin("s.HeberType t ON t.id = s.hebergement")
			   ->where("s.id = ?", $id)
			   ->fetchArray();
		
		 if(count($records) <= 0)
        {
            $this->addMessage("Famille introuvable", MESSAGE_TYPE_ERROR);
           $this->_redirect("/admin/Hebergement");
            exit;
        }
		
		if($this->getRequest()->isPost())
        {
							
							$values["hebergement"] = $this->getRequest()->getPost("type");
							$values["ville"] = $this->getRequest()->getPost("Ville");
							$values["nom"] = $this->getRequest()->getPost("nom");
							$values["discrip"] = $this->getRequest()->getPost("discrip");
							$values["adress"] = $this->getRequest()->getPost("adress");
							$values["mail"] = $this->getRequest()->getPost("mail");
							$values["web"] = $this->getRequest()->getPost("web");
							$values["mobile"] = $this->getRequest()->getPost("mobile");
							if($this->getRequest()->getPost("buffet")!="") {$values["buffet"] = $this->getRequest()->getPost("buffet");} 
							else {$values["buffet"] = "0";}
							$values["buffet_valeur"] = $this->getRequest()->getPost("buffet_valeur");
							if($this->getRequest()->getPost("wifi")!="") {$values["wifi"] = $this->getRequest()->getPost("wifi");} 
							else {$values["wifi"] = "0";}
							$values["wifi_valeur"] = $this->getRequest()->getPost("wifi_valeur");
							if($this->getRequest()->getPost("parking")!="") {$values["parking"] = $this->getRequest()->getPost("parking");} 
							else {$values["parking"] = "0";}
							$values["parking_valeur"] = $this->getRequest()->getPost("parking_valeur");
							if($this->getRequest()->getPost("piscine")!="") {$values["piscine"] = $this->getRequest()->getPost("piscine");} 
							else {$values["piscine"] = "0";}
							$values["piscine_valeur"] = $this->getRequest()->getPost("piscine_valeur");
							if($this->getRequest()->getPost("bar")!="") {$values["bar"] = $this->getRequest()->getPost("bar");} 
							else {$values["bar"] = "0";}
							$values["tarif"] = $this->getRequest()->getPost("tarif");
							
							
							
							$q = Doctrine_Query::create();
							$q->update("Appweb_Model_Hebergement");
							foreach($values as $k => $v)
							{
								$q->set($k, "?", $v);
							}
							
							$q->where("id = ?", $id);
							
							$q->execute();
							
							if ($_FILES['img_a']['error'] == 0)
							{
							$uploadPath = APPLICATION_PATH.'/../public/assets/hotelpic';
							$infosfichier1 = pathinfo($_FILES['img_a']['name']);
							$extension_upload1 = $infosfichier1['extension'];
							move_uploaded_file($_FILES['img_a']['tmp_name'], $uploadPath."/".$id.'_1.'.$extension_upload1);
							}
							if ($_FILES['img_b']['error'] == 0)
							{
							$uploadPath = APPLICATION_PATH.'/../public/assets/hotelpic';	
							$infosfichier2 = pathinfo($_FILES['img_b']['name']);
							$extension_upload2 = $infosfichier2['extension'];
							move_uploaded_file($_FILES['img_b']['tmp_name'], $uploadPath."/".$id.'_2.'.$extension_upload2);
							}
							if ($_FILES['img_c']['error'] == 0)
							{
							$uploadPath = APPLICATION_PATH.'/../public/assets/hotelpic';	
							$infosfichier3 = pathinfo($_FILES['img_c']['name']);
							$extension_upload3 = $infosfichier3['extension'];
							move_uploaded_file($_FILES['img_c']['tmp_name'], $uploadPath."/".$id.'_3.'.$extension_upload3);
							}
							if ($_FILES['img_d']['error'] == 0)
							{
							$uploadPath = APPLICATION_PATH.'/../public/assets/hotelpic';	
							$infosfichier4 = pathinfo($_FILES['img_d']['name']);
							$extension_upload4 = $infosfichier4['extension'];
							move_uploaded_file($_FILES['img_d']['tmp_name'], $uploadPath."/".$id.'_4.'.$extension_upload4);
							}
							if ($_FILES['img_e']['error'] == 0)
							{
							$uploadPath = APPLICATION_PATH.'/../public/assets/hotelpic';	
							$infosfichier5 = pathinfo($_FILES['img_e']['name']);
							$extension_upload5 = $infosfichier5['extension'];
							move_uploaded_file($_FILES['img_e']['tmp_name'], $uploadPath."/".$id.'_5.'.$extension_upload5);
							}
							
							if ($extension_upload1 != ""){$values1["img_a"] = $id.'_1.'.$extension_upload1; }
							if ($extension_upload2 != ""){$values1["img_b"] = $id.'_2.'.$extension_upload2; }
							if ($extension_upload3 != ""){$values1["img_c"] = $id.'_3.'.$extension_upload3; }
							if ($extension_upload4 != ""){$values1["img_d"] = $id.'_4.'.$extension_upload4; }
							if ($extension_upload5 != ""){$values1["img_e"] = $id.'_5.'.$extension_upload5; }
							if ($extension_upload1 != "" or $extension_upload2 != "" or $extension_upload3 != "" or $extension_upload4 != "" or $extension_upload5!= ""){
							$q1 = Doctrine_Query::create();
							$q1->update("Appweb_Model_Hebergement");
							foreach($values1 as $k1 => $v1)
							{
								$q1->set($k1, "?", $v1);
							}
							
							$q1->where("id = ?", $id);
							
							$q1->execute();
							}
							
				$this->_redirect("/admin/Hebergement/list");
		}  else {
            $this->view->record = $records[0];
        }
		
    }
	public function updateAction() {
		
        $this->getHelper("Layout")->disableLayout();
		
		$id = $this->getRequest()->getParam("id");		
	
						$values["disponible"] = 3;												
							
							$q = Doctrine_Query::create();
							$q->update("Appweb_Model_Hebergement");
							foreach($values as $k => $v)
							{
								$q->set($k, "?", $v);
							}
							
							$q->where("id = ?", $id);
							
							$q->execute();
		
							
				$this->_redirect("/admin/Hebergement/list");

		
    }
}
?>
