<?php
class Admin_PlaceController extends Appweb_Tools_Controller_BaseAdminController
{
    
    public function indexAction() {
        $this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Place | TravelMA";
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Ville o")
			   ->orderby("o.id");
        $this->view->listecity = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Place c")
			   ->addSelect('d.description AS local')
				->innerJoin("c.Local d ON d.id = c.ville")
				->where("c.disponible = ?",1)
			   ->orderby("c.id DESC");
        $this->view->meilleur = $q->fetchArray();
		
		
		

    }
	public function filterAction() {
        $this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Place | TravelMA";
		
		$id = $this->getRequest()->getParam("id");
		$this->view->id= $id;
		
		$q1 = Doctrine_Query::create();
         $q1->select('*')
               ->from("Appweb_Model_Ville o")
			   ->orderby("o.id");
        $this->view->listecity = $q1->fetchArray();
		
		$q = Doctrine_Query::create();
        $q =  $q->select('*')
               ->from("Appweb_Model_Place c")
			   ->addSelect('d.description AS local')
				->innerJoin("c.Local d ON d.id = c.ville")
				->where("c.disponible = ?",1)
			   ->orderby("c.id DESC");
			   
			   
		if($id<>'0'){
		$q= $q->where("c.ville = ?", $id);
		} 
		
        $this->view->meilleur = $q->fetchArray();
		
		
		

    }
	public function ajouterAction() {
        $this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Place | TravelMA";
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$identity = $ns->identity;
		
		
	
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Ville o")
			   ->orderby("o.id");
        $this->view->listecity = $q->fetchArray();
		
	
		
		if($this->getRequest()->isPost())
        {
							
							$values["iduser"] = $identity ;
							$values["ville"] = $this->getRequest()->getPost("ville");
							$values["titre"] = $this->getRequest()->getPost("titre");
							$values["description"] = $this->getRequest()->getPost("description");
							$values["adress"] = $this->getRequest()->getPost("adress");
							
							
							
							$object = new Appweb_Model_Place();
							foreach ($values as $k => $v) {
							$object->$k = $v;
							}
					
							$object->save();
							$id=$object->id;
							
							if ($_FILES['img_a']['error'] == 0)
							{
							$uploadPath = APPLICATION_PATH.'/../public/assets/place';
							$infosfichier1 = pathinfo($_FILES['img_a']['name']);
							$extension_upload1 = $infosfichier1['extension'];
							move_uploaded_file($_FILES['img_a']['tmp_name'], $uploadPath."/".$id.'_1.'.$extension_upload1);
							}
							if ($_FILES['img_b']['error'] == 0)
							{
							$infosfichier2 = pathinfo($_FILES['img_b']['name']);
							$extension_upload2 = $infosfichier2['extension'];
							move_uploaded_file($_FILES['img_b']['tmp_name'], $uploadPath."/".$id.'_2.'.$extension_upload2);
							}
							if ($_FILES['img_c']['error'] == 0)
							{
							$infosfichier3 = pathinfo($_FILES['img_c']['name']);
							$extension_upload3 = $infosfichier3['extension'];
							move_uploaded_file($_FILES['img_c']['tmp_name'], $uploadPath."/".$id.'_3.'.$extension_upload3);
							}
							if ($_FILES['img_d']['error'] == 0)
							{
							$infosfichier4 = pathinfo($_FILES['img_d']['name']);
							$extension_upload4 = $infosfichier4['extension'];
							move_uploaded_file($_FILES['img_d']['tmp_name'], $uploadPath."/".$id.'_4.'.$extension_upload4);
							}
							if ($_FILES['img_e']['error'] == 0)
							{
							$infosfichier5 = pathinfo($_FILES['img_e']['name']);
							$extension_upload5 = $infosfichier5['extension'];
							move_uploaded_file($_FILES['img_e']['tmp_name'], $uploadPath."/".$id.'_5.'.$extension_upload5);
							}
							if ($_FILES['img_f']['error'] == 0)
							{
							$infosfichier6 = pathinfo($_FILES['img_f']['name']);
							$extension_upload6 = $infosfichier6['extension'];
							move_uploaded_file($_FILES['img_f']['tmp_name'], $uploadPath."/".$id.'_6.'.$extension_upload6);
							}
							if ($_FILES['img_g']['error'] == 0)
							{
							$infosfichier7 = pathinfo($_FILES['img_g']['name']);
							$extension_upload7 = $infosfichier7['extension'];
							move_uploaded_file($_FILES['img_g']['tmp_name'], $uploadPath."/".$id.'_7.'.$extension_upload7);
							}
							if ($_FILES['img_h']['error'] == 0)
							{
							$infosfichier8 = pathinfo($_FILES['img_h']['name']);
							$extension_upload8 = $infosfichier8['extension'];
							move_uploaded_file($_FILES['img_h']['tmp_name'], $uploadPath."/".$id.'_8.'.$extension_upload8);
							}
							if ($_FILES['img_i']['error'] == 0)
							{
							$infosfichier9 = pathinfo($_FILES['img_i']['name']);
							$extension_upload9 = $infosfichier9['extension'];
							move_uploaded_file($_FILES['img_i']['tmp_name'], $uploadPath."/".$id.'_9.'.$extension_upload9);
							}
							if ($_FILES['img_k']['error'] == 0)
							{
							$infosfichier10 = pathinfo($_FILES['img_k']['name']);
							$extension_upload10 = $infosfichier10['extension'];
							move_uploaded_file($_FILES['img_k']['tmp_name'], $uploadPath."/".$id.'_10.'.$extension_upload10);
							}
							
							
							$values1["img_a"] = $id.'_1.'.$extension_upload1;
							$values1["img_b"] = $id.'_2.'.$extension_upload2;
							$values1["img_c"] = $id.'_3.'.$extension_upload3;
							$values1["img_d"] = $id.'_4.'.$extension_upload4;
							$values1["img_e"] = $id.'_5.'.$extension_upload5;
							$values1["img_f"] = $id.'_1.'.$extension_upload6;
							$values1["img_g"] = $id.'_2.'.$extension_upload7;
							$values1["img_h"] = $id.'_3.'.$extension_upload8;
							$values1["img_i"] = $id.'_4.'.$extension_upload9;
							$values1["img_k"] = $id.'_5.'.$extension_upload10;
							
							$q1 = Doctrine_Query::create();
							$q1->update("Appweb_Model_Place");
							foreach($values1 as $k1 => $v1)
							{
								$q1->set($k1, "?", $v1);
							}
							
							$q1->where("id = ?", $id);
							
							$q1->execute();
							
				$this->_redirect("/admin/Place/");
		}
		
    }
	
	public function detailAction() {
        $this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Place | TravelMA";
		
		$id = $this->getRequest()->getParam("id");
		$this->view->id1= $id;
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$identity = $ns->identity;
        $this->view->idsession= $identity;
		
		$q = Doctrine_Query::create();
         $records = $q->select('*,id as idhebegement')
               ->from("Appweb_Model_Place s")
				->addSelect('o.description AS city')
				->innerJoin("s.Local o ON o.id = s.ville")
				->addSelect('t.nomcomplet AS nomcomplet')
				->innerJoin("s.Users t ON t.id = s.iduser")
			   ->where("s.id = ?", $id)
			   ->fetchArray();
		$this->view->record = $records[0];
		
		list($name1,$ext1) = explode(".", $records[0]["img_a"]);
		list($name2,$ext2) = explode(".", $records[0]["img_b"]);
		list($name3,$ext3) = explode(".", $records[0]["img_c"]);
		list($name4,$ext4) = explode(".", $records[0]["img_d"]);
		list($name5,$ext5) = explode(".", $records[0]["img_e"]);
		list($name6,$ext6) = explode(".", $records[0]["img_f"]);
		list($name7,$ext7) = explode(".", $records[0]["img_g"]);
		list($name8,$ext8) = explode(".", $records[0]["img_h"]);
		list($name9,$ext9) = explode(".", $records[0]["img_i"]);
		list($name10,$ext10) = explode(".", $records[0]["img_k"]);
		
		$this->view->ext1 = $ext1;
		$this->view->ext2 = $ext2;
		$this->view->ext3 = $ext3;
		$this->view->ext4 = $ext4;
		$this->view->ext5 = $ext5;
		$this->view->ext6 = $ext6;
		$this->view->ext7 = $ext7;
		$this->view->ext8 = $ext8;
		$this->view->ext9 = $ext9;
		$this->view->ext10 = $ext10;
		
		$q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_FeedbackPlace o")			   
				->addSelect('c.nomcomplet AS nomcomplet1')
				->addSelect('c.photo AS photo1')
				->innerJoin("o.From c ON o.idfrom = c.id")
				->where("o.idplace = ?", $id)
				->andwhere("o.archived = ?", 1)
				->orderby("o.date_creation DESC");
        $this->view->listeFeedback = $q->fetchArray();
		
		$q1 = Doctrine_Query::create();
         $records1 = $q1->select('count(*) as nbr')
               ->from("Appweb_Model_FeedbackPlace s")
			   ->where("s.idplace = ?", $id)
			   ->fetchArray();
		$this->view->record1 = $records1[0];
		
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Users o")
			   ->orderby("o.date_creation DESC");
        $this->view->listuser = $q->fetchArray();
    }
	
	public function feedbackAction() {
		$this->getHelper("Layout")->disableLayout();
		$id = $this->getRequest()->getParam("id");
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$identity = $ns->identity;
        $this->view->idsession= $identity;
		
		if($this->getRequest()->isPost())
        {
						if($this->getRequest()->getPost("comment")!=""){
							$values["comment"] = $this->getRequest()->getPost("comment");
							$values["idfrom"] = $identity;
							$values["idplace"] = $id;
							$values["archived"] = 1;
							
							$object = new Appweb_Model_FeedbackPlace();
							foreach ($values as $k => $v) {
							$object->$k = $v;
							}
		   
							$object->save();
						}
				
				$this->_redirect("/admin/Place/detail/id/".$id);
		}
	 }
	public function listAction() {
        $this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Mes Place | TravelMA";
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$identity = $ns->identity;
		$this->view->back ="list";
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Place c")
			   ->addSelect('d.description AS local')
				->innerJoin("c.Local d ON d.id = c.ville")
				->where("c.iduser = ?", $identity)
				->andWhere("c.disponible != ?",3)
			   ->orderby("c.id DESC");
        $this->view->meilleur = $q->fetchArray();
		
		
    }
	public function modifierAction() {
        $this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Hebergement | TravelMA";
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$identity = $ns->identity;
		
		$id = $this->getRequest()->getParam("id");
		$this->view->idparam =$id;
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Ville o")
			   ->orderby("o.id");
        $this->view->listecity = $q->fetchArray();
		
		
		$q = Doctrine_Query::create();
         $records = $q->select('*,id as idplace')
               ->from("Appweb_Model_Place s")
				->addSelect('o.description AS city')
				->innerJoin("s.Local o ON o.id = s.ville")
			   ->where("s.id = ?", $id)
			   ->fetchArray();
		
		 if(count($records) <= 0)
        {
            $this->addMessage("Famille introuvable", MESSAGE_TYPE_ERROR);
           $this->_redirect("/admin/Hebergement");
            exit;
        }
		
		if($this->getRequest()->isPost())
        {
							
							
							$values["iduser"] = $identity ;
							$values["ville"] = $this->getRequest()->getPost("ville");
							$values["titre"] = $this->getRequest()->getPost("titre");
							$values["description"] = $this->getRequest()->getPost("description");
							$values["adress"] = $this->getRequest()->getPost("adress");
							
							
							
							$q = Doctrine_Query::create();
							$q->update("Appweb_Model_Place");
							foreach($values as $k => $v)
							{
								$q->set($k, "?", $v);
							}
							
							$q->where("id = ?", $id);
							
							$q->execute();
							
							if ($_FILES['img_a']['error'] == 0)
							{
							$uploadPath = APPLICATION_PATH.'/../public/assets/place';
							$infosfichier1 = pathinfo($_FILES['img_a']['name']);
							$extension_upload1 = $infosfichier1['extension'];
							move_uploaded_file($_FILES['img_a']['tmp_name'], $uploadPath."/".$id.'_1.'.$extension_upload1);
							}
							if ($_FILES['img_b']['error'] == 0)
							{
							$uploadPath = APPLICATION_PATH.'/../public/assets/place';	
							$infosfichier2 = pathinfo($_FILES['img_b']['name']);
							$extension_upload2 = $infosfichier2['extension'];
							move_uploaded_file($_FILES['img_b']['tmp_name'], $uploadPath."/".$id.'_2.'.$extension_upload2);
							}
							if ($_FILES['img_c']['error'] == 0)
							{
							$uploadPath = APPLICATION_PATH.'/../public/assets/place';	
							$infosfichier3 = pathinfo($_FILES['img_c']['name']);
							$extension_upload3 = $infosfichier3['extension'];
							move_uploaded_file($_FILES['img_c']['tmp_name'], $uploadPath."/".$id.'_3.'.$extension_upload3);
							}
							if ($_FILES['img_d']['error'] == 0)
							{
							$uploadPath = APPLICATION_PATH.'/../public/assets/place';	
							$infosfichier4 = pathinfo($_FILES['img_d']['name']);
							$extension_upload4 = $infosfichier4['extension'];
							move_uploaded_file($_FILES['img_d']['tmp_name'], $uploadPath."/".$id.'_4.'.$extension_upload4);
							}
							if ($_FILES['img_e']['error'] == 0)
							{
							$uploadPath = APPLICATION_PATH.'/../public/assets/place';	
							$infosfichier5 = pathinfo($_FILES['img_e']['name']);
							$extension_upload5 = $infosfichier5['extension'];
							move_uploaded_file($_FILES['img_e']['tmp_name'], $uploadPath."/".$id.'_5.'.$extension_upload5);
							}
							if ($_FILES['img_f']['error'] == 0)
							{
							$uploadPath = APPLICATION_PATH.'/../public/assets/place';
							$infosfichier6 = pathinfo($_FILES['img_f']['name']);
							$extension_upload6 = $infosfichier6['extension'];
							move_uploaded_file($_FILES['img_f']['tmp_name'], $uploadPath."/".$id.'_6.'.$extension_upload6);
							}
							if ($_FILES['img_g']['error'] == 0)
							{
							$uploadPath = APPLICATION_PATH.'/../public/assets/place';	
							$infosfichier7 = pathinfo($_FILES['img_g']['name']);
							$extension_upload7 = $infosfichier7['extension'];
							move_uploaded_file($_FILES['img_g']['tmp_name'], $uploadPath."/".$id.'_7.'.$extension_upload7);
							}
							if ($_FILES['img_h']['error'] == 0)
							{
							$uploadPath = APPLICATION_PATH.'/../public/assets/place';	
							$infosfichier8 = pathinfo($_FILES['img_h']['name']);
							$extension_upload8 = $infosfichier8['extension'];
							move_uploaded_file($_FILES['img_h']['tmp_name'], $uploadPath."/".$id.'_8.'.$extension_upload8);
							}
							if ($_FILES['img_i']['error'] == 0)
							{
							$uploadPath = APPLICATION_PATH.'/../public/assets/place';	
							$infosfichier9 = pathinfo($_FILES['img_i']['name']);
							$extension_upload9 = $infosfichier9['extension'];
							move_uploaded_file($_FILES['img_i']['tmp_name'], $uploadPath."/".$id.'_9.'.$extension_upload9);
							}
							if ($_FILES['img_k']['error'] == 0)
							{
							$uploadPath = APPLICATION_PATH.'/../public/assets/place';	
							$infosfichier10 = pathinfo($_FILES['img_k']['name']);
							$extension_upload10 = $infosfichier10['extension'];
							move_uploaded_file($_FILES['img_k']['tmp_name'], $uploadPath."/".$id.'_10.'.$extension_upload10);
							}
							
							if ($extension_upload1 != ""){$values1["img_a"] = $id.'_1.'.$extension_upload1; }
							if ($extension_upload2 != ""){$values1["img_b"] = $id.'_2.'.$extension_upload2; }
							if ($extension_upload3 != ""){$values1["img_c"] = $id.'_3.'.$extension_upload3; }
							if ($extension_upload4 != ""){$values1["img_d"] = $id.'_4.'.$extension_upload4; }
							if ($extension_upload5 != ""){$values1["img_e"] = $id.'_5.'.$extension_upload5; }
							if ($extension_upload6 != ""){$values1["img_f"] = $id.'_6.'.$extension_upload6; }
							if ($extension_upload7 != ""){$values1["img_g"] = $id.'_7.'.$extension_upload7; }
							if ($extension_upload8 != ""){$values1["img_h"] = $id.'_8.'.$extension_upload8; }
							if ($extension_upload9 != ""){$values1["img_i"] = $id.'_9.'.$extension_upload9; }
							if ($extension_upload10 != ""){$values1["img_k"] = $id.'_10.'.$extension_upload10; }
							if ($extension_upload1 != "" or $extension_upload2 != "" or $extension_upload3 != "" or $extension_upload4 != "" or $extension_upload5!= "" or $extension_upload6 != "" or $extension_upload7 != "" or $extension_upload8 != "" or $extension_upload9 != "" or $extension_upload10!= ""){
							$q1 = Doctrine_Query::create();
							$q1->update("Appweb_Model_Place");
							foreach($values1 as $k1 => $v1)
							{
								$q1->set($k1, "?", $v1);
							}
							
							$q1->where("id = ?", $id);
							
							$q1->execute();
							}
							
				$this->_redirect("/admin/Place/list");
		}  else {
            $this->view->record = $records[0];
        }
		
    }
	public function updateAction() {
		
        $this->getHelper("Layout")->disableLayout();
		
		$id = $this->getRequest()->getParam("id");		
	
						$values["disponible"] = 3;												
							
							$q = Doctrine_Query::create();
							$q->update("Appweb_Model_Place");
							foreach($values as $k => $v)
							{
								$q->set($k, "?", $v);
							}
							
							$q->where("id = ?", $id);
							
							$q->execute();
		
							
				$this->_redirect("/admin/Place/list");

		
    }
	
	
	
}
?>