<?php
	
class Admin_TripController extends Appweb_Tools_Controller_BaseAdminController
{


    
    public function demandeAction() {
		 $this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Publier une demande | TravelMA";
		$this->view->pagename = "trip";
		 
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Ville o")
			   ->orderby("o.id");
        $this->view->listecity = $q->fetchArray();
	}
    public function indexAction() {
        $this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Publier une Offre | TravelMA";
		$this->view->pagename = "trip";
		 
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Ville o")
			   ->orderby("o.id");
        $this->view->listecity = $q->fetchArray();
		
    }
	
	public function showAction() {
        $this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Rechercher un trajet | TravelMA";
		$this->view->pagename = "show";
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$ns->Rech_Depart1 = '-';
		$ns->Rech_Destination1 = '-';
		$ns->Rech_date1 = '-';
		$identity = $ns->identity;
        $this->view->idsession= $identity;
		
		$this->view->Rech_Depart = "-";
		$this->view->Rech_Destination = "-";
		$this->view->Rech_date = "-";
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Ville o")
			   ->orderby("o.id");
        $this->view->listecity = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_OffreDemande o")			   
				->addSelect('c.nomcomplet AS nomcomplet')
				->addSelect('c.photo AS photo')
				->innerJoin("o.Users c ON o.iduser = c.id")
				->addSelect('d.description AS depart')
				->innerJoin("o.Depart d ON o.id_depart = d.id") 
				->addSelect('a.description AS arrivee')
				->innerJoin("o.Arrivee a ON o.id_arrivee = a.id")
				->where("o.date_depart >= ?", date("Y-m-d H:i:s") )
				->andwhere("o.type = ?",1)
				->andwhere("o.nbr_places > ?",0)
				->orderby("o.date_depart ASC");
        $this->view->liste = $q->fetchArray();
		
		if($this->getRequest()->isPost())
        {
			$qsecu = Doctrine_Query::create();
		$qsecu = $qsecu->select('*')
				->from("Appweb_Model_OffreDemande o")			   
				->addSelect('c.nomcomplet AS nomcomplet')
				->addSelect('c.photo AS photo')
				->innerJoin("o.Users c ON o.iduser = c.id")
				->addSelect('d.description AS depart')
				->innerJoin("o.Depart d ON o.id_depart = d.id") 
				->addSelect('a.description AS arrivee')
				->innerJoin("o.Arrivee a ON o.id_arrivee = a.id")
				->where("o.date_depart >= ?", date("Y-m-d H:i:s") )
				->andwhere("o.type = ?",1)
				->orderby("o.date_depart ASC");
				
		list($day1,$month1,$year1)=explode("/", $this->getRequest()->getPost("datetrajet"));
		$idDepart=$this->getRequest()->getPost("Depart");
		$idDestination=$this->getRequest()->getPost("Destination");
		$Rech_date = $year1.'-'.$month1.'-'.$day1.' 00:00:00';
		$Rech_date2 = $year1.'-'.$month1.'-'.$day1.' 23:59:59';
		
		$q = Doctrine_Query::create();
                $q->select('*')
                   ->from("Appweb_Model_Ville")
                   ->where("id = ?", $idDepart);
                $res = $q->fetchArray();
        $Depart = $res[0]["description"];
		
		$q = Doctrine_Query::create();
                $q->select('*')
                   ->from("Appweb_Model_Ville")
                   ->where("id = ?", $idDestination);
                $res = $q->fetchArray();
        $Destination = $res[0]["description"];
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$ns->Rech_Depart1 = $Depart;
		$ns->Rech_Destination1 = $Destination;
		$ns->Rech_Date = $this->getRequest()->getPost("datetrajet");
		$identity = $ns->identity;
        $this->view->idsession= $identity;
		
		
		
		if($Depart<>''){
		$qsecu= $qsecu->andwhere("o.id_depart = ?",$idDepart );
		}
		if($Destination<>''){
		$qsecu= $qsecu->andwhere("o.id_arrivee = ?",$idDestination );
		}
		if($this->getRequest()->getPost("datetrajet")<>''){
		$qsecu->andwhere("o.date_depart>= ?",$Rech_date);
		$qsecu->andwhere("o.date_depart<= ?",$Rech_date2);
		}
		
		$this->view->liste = $qsecu->fetchArray();
		
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$this->view->Rech_Depart = $ns->Rech_Depart1;
		$this->view->Rech_Destination = $ns->Rech_Destination1;
		$this->view->Rech_date = $ns->Rech_Date;
		$identity = $ns->identity;
        $this->view->idsession= $identity;
		
		}
		
    }
	public function listAction() {
        $this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Rechercher un trajet | TravelMA";
		$this->view->pagename = "show";
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$ns->Rech_Depart1 = '-';
		$ns->Rech_Destination1 = '-';
		$ns->Rech_date1 = '-';
		$identity = $ns->identity;
        $this->view->idsession= $identity;
		
		$this->view->Rech_Depart = "-";
		$this->view->Rech_Destination = "-";
		$this->view->Rech_date = "-";
		
		$q = Doctrine_Query::create();
         $q->select('*')
               ->from("Appweb_Model_Ville o")
			   ->orderby("o.id");
        $this->view->listecity = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_OffreDemande o")			   
				->addSelect('c.nomcomplet AS nomcomplet')
				->addSelect('c.photo AS photo')
				->innerJoin("o.Users c ON o.iduser = c.id")
				->addSelect('d.description AS depart')
				->innerJoin("o.Depart d ON o.id_depart = d.id") 
				->addSelect('a.description AS arrivee')
				->innerJoin("o.Arrivee a ON o.id_arrivee = a.id")
				->where("o.date_depart >= ?", date("Y-m-d H:i:s") )
				->andwhere("o.type = ?",2)
				->orderby("o.date_depart ASC");
        $this->view->liste = $q->fetchArray();
		
		if($this->getRequest()->isPost())
        {
			$qsecu = Doctrine_Query::create();
		$qsecu = $qsecu->select('*')
				->from("Appweb_Model_OffreDemande o")			   
				->addSelect('c.nomcomplet AS nomcomplet')
				->addSelect('c.photo AS photo')
				->innerJoin("o.Users c ON o.iduser = c.id")
				->addSelect('d.description AS depart')
				->innerJoin("o.Depart d ON o.id_depart = d.id") 
				->addSelect('a.description AS arrivee')
				->innerJoin("o.Arrivee a ON o.id_arrivee = a.id")
				->where("o.date_depart >= ?", date("Y-m-d H:i:s") )
				->andwhere("o.type = ?",2)
				->orderby("o.date_depart ASC");
				
		list($day1,$month1,$year1)=explode("/", $this->getRequest()->getPost("datetrajet"));
		$idDepart=$this->getRequest()->getPost("Depart");
		$idDestination=$this->getRequest()->getPost("Destination");
		$Rech_date = $year1.'-'.$month1.'-'.$day1.' 00:00:00';
		$Rech_date2 = $year1.'-'.$month1.'-'.$day1.' 23:59:59';
		
		$q = Doctrine_Query::create();
                $q->select('*')
                   ->from("Appweb_Model_Ville")
                   ->where("id = ?", $idDepart);
                $res = $q->fetchArray();
        $Depart = $res[0]["description"];
		
		$q = Doctrine_Query::create();
                $q->select('*')
                   ->from("Appweb_Model_Ville")
                   ->where("id = ?", $idDestination);
                $res = $q->fetchArray();
        $Destination = $res[0]["description"];
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$ns->Rech_Depart1 = $Depart;
		$ns->Rech_Destination1 = $Destination;
		$ns->Rech_date1 = $this->getRequest()->getPost("datetrajet");
		$identity = $ns->identity;
        $this->view->idsession= $identity;
		
		
		
		if($Depart<>''){
		$qsecu= $qsecu->andwhere("o.id_depart = ?",$idDepart );
		}
		if($Destination<>''){
		$qsecu= $qsecu->andwhere("o.id_arrivee = ?",$idDestination );
		}
		if($this->getRequest()->getPost("datetrajet")<>''){
		$qsecu->andwhere("o.date_depart>= ?",$Rech_date);
		$qsecu->andwhere("o.date_depart<= ?",$Rech_date2);
		}
		
		$this->view->liste = $qsecu->fetchArray();
		
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$this->view->Rech_Depart = $ns->Rech_Depart1;
		$this->view->Rech_Destination = $ns->Rech_Destination1;
		$this->view->Rech_date = $ns->Rech_date1;
		$identity = $ns->identity;
        $this->view->idsession= $identity;
		
		}
		
    }
	
	public function messageAction() {
		$this->getHelper("Layout")->disableLayout();
		
		$ns = new Zend_Session_Namespace("AppwebAuth");
		$identity = $ns->identity;
        $this->view->idsession= $identity;
		
		if($this->getRequest()->isPost())
        {
						if($this->getRequest()->getPost("message")!=""){
							
							$idto = $this->getRequest()->getPost("idto");
							$values["objet"] = $this->getRequest()->getPost("Objet");
							$values["message"] = $this->getRequest()->getPost("message");
							$values["idfrom"] = $this->getRequest()->getPost("idfrom");
							$values["iddemande"] = $idto;
							
							$object = new Appweb_Model_MsgDemande();
							foreach ($values as $k => $v) {
							$object->$k = $v;
							}
		   
							$object->save();
						}
							
				$this->_redirect("/admin/trip/list/");
		}
	}
    public function addAction() {
        $this->getHelper("Layout")->disableLayout();
		$s = new Zend_Session_Namespace("AppwebAuth");
		$iduser =$s->identity;
				
		if ($this->getRequest()->isPost()) {
					list($day2,$month2,$year2)=explode("/", $this->getRequest()->getPost("Datee"));
					$datedepart=$year2."-".$month2."-".$day2." ".$this->getRequest()->getPost("horaire");
					
					$values["id_depart"] = $this->getRequest()->getPost("Depart");
					$values["id_arrivee"] =  $this->getRequest()->getPost("Destination");
					$values["date_depart"] = $datedepart;
					$values["partez_vous"] =  $this->getRequest()->getPost("departfrom");
					$values["allez_vous"] = $this->getRequest()->getPost("departto");
					$values["nbr_places"] = $this->getRequest()->getPost("places");
					$values["iduser"] =  $iduser;
					$values["price"] = $this->getRequest()->getPost("Prix");
					$values["titre"] =  "Offre";
					$values["contenu"] =  $this->getRequest()->getPost("remarks");
					$values["type"] = 1;
					
					$object = new Appweb_Model_OffreDemande();
					foreach ($values as $k => $v) {
						$object->$k = $v;
					}
				    $object->save();
					
                        $this->_redirect("/admin/Trip/show");             
            
                    } 

        }
		public function add1Action() {
        $this->getHelper("Layout")->disableLayout();
		$s = new Zend_Session_Namespace("AppwebAuth");
		$iduser =$s->identity;
				
		if ($this->getRequest()->isPost()) {
					list($day2,$month2,$year2)=explode("/", $this->getRequest()->getPost("Datee"));
					$datedepart=$year2."-".$month2."-".$day2." ".$this->getRequest()->getPost("horaire");
					
					$values["id_depart"] = $this->getRequest()->getPost("Depart");
					$values["id_arrivee"] =  $this->getRequest()->getPost("Destination");
					$values["date_depart"] = $datedepart;
					$values["partez_vous"] =  "*";
					$values["allez_vous"] = "*";
					$values["nbr_places"] = $this->getRequest()->getPost("places");
					$values["iduser"] =  $iduser;
					$values["price"] = $this->getRequest()->getPost("Prix");
					$values["titre"] =  "Demande";
					$values["contenu"] =  $this->getRequest()->getPost("remarks");
					$values["type"] = 2;
					
					$object = new Appweb_Model_OffreDemande();
					foreach ($values as $k => $v) {
						$object->$k = $v;
					}
				    $object->save();
					
                        $this->_redirect("/admin/Trip/list");             
            
                    } 

        }
		
		public function participerAction() {
        $this->getHelper("Layout")->disableLayout();
		$s = new Zend_Session_Namespace("AppwebAuth");
		$iduser =$s->identity;
				
		if ($this->getRequest()->isPost()) {
			
					$values["idfrom"] = $this->getRequest()->getPost("idfrom");
					$values["idoffre"] =  $this->getRequest()->getPost("id");
					$values["message"] =  $this->getRequest()->getPost("message");
					$values["placenbr"] =  $this->getRequest()->getPost("placenbr");
					
					$object = new Appweb_Model_Participer();
					foreach ($values as $k => $v) {
						$object->$k = $v;
					}
				    $object->save();
					
                        $this->_redirect("/admin/Trip/show");             
            
                    } 

        }
		
		public function participantsAction() {
			
		$this->getHelper("Layout")->setLayout("admin/default");
		$this->view->pageTitle = "Participants | TravelMA";
		$this->view->pagename = "show";
		
		$s = new Zend_Session_Namespace("AppwebAuth");
		$iduser =$s->identity;
			
		 $q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_Participer p")	
				->addSelect('u.nomcomplet AS nomcompletfrom')
				->addSelect('u.photo AS photofrom')
				->innerJoin("p.Users u ON p.idfrom = u.id")
				->addSelect('o.date_depart AS date_depart')
				->addSelect('o.id_depart AS id_depart')
				->addSelect('o.id_arrivee AS id_arrivee')
				->addSelect('o.iduser AS iduser')
				->innerJoin("p.OffreDemande o ON p.idoffre = o.id")
				->addSelect('c.nomcomplet AS nomcompletto')
				->addSelect('c.photo AS phototo')
				->innerJoin("o.Users c ON o.iduser = c.id")
				->addSelect('d.description AS depart')
				->innerJoin("o.Depart d ON o.id_depart = d.id") 
				->addSelect('a.description AS arrivee')
				->innerJoin("o.Arrivee a ON o.id_arrivee = a.id")
				->where("o.date_depart >= ?", date("Y-m-d H:i:s") )
				->andwhere("c.id = ?", $iduser)
				->andwhere("p.status = ?",0)
				->orderby("p.date_envoyer DESC");
        $this->view->listeRecu = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('count(*) as nbrencour')
				->from("Appweb_Model_Participer p")	
				->addSelect('u.nomcomplet AS nomcompletfrom')
				->addSelect('u.photo AS photofrom')
				->innerJoin("p.Users u ON p.idfrom = u.id")
				->addSelect('o.date_depart AS date_depart')
				->addSelect('o.id_depart AS id_depart')
				->addSelect('o.id_arrivee AS id_arrivee')
				->addSelect('o.iduser AS iduser')
				->innerJoin("p.OffreDemande o ON p.idoffre = o.id")
				->innerJoin("o.Users c ON o.iduser = c.id")
				->where("c.id = ?", $iduser)
				->andwhere("p.status = ?",0)
				->andwhere("o.date_depart >= ?", date("Y-m-d H:i:s") );
        $res = $q->fetchArray();
        $this->view->EnCoure = $res[0]["nbrencour"];
		
		$q = Doctrine_Query::create();
         $q->select('count(*) as nbrrecue')
				->from("Appweb_Model_Participer p")	
				->addSelect('u.nomcomplet AS nomcompletfrom')
				->addSelect('u.photo AS photofrom')
				->innerJoin("p.Users u ON p.idfrom = u.id")
				->addSelect('o.date_depart AS date_depart')
				->addSelect('o.id_depart AS id_depart')
				->addSelect('o.id_arrivee AS id_arrivee')
				->addSelect('o.iduser AS iduser')
				->innerJoin("p.OffreDemande o ON p.idoffre = o.id")
				->innerJoin("o.Users c ON o.iduser = c.id")
				->where("c.id = ?", $iduser);
        $res = $q->fetchArray();
        $this->view->Recu = $res[0]["nbrrecue"];
		
		$q = Doctrine_Query::create();
         $q->select('*')
				->from("Appweb_Model_Participer p")	
				->addSelect('u.nomcomplet AS nomcompletfrom')
				->addSelect('u.photo AS photofrom')
				->innerJoin("p.Users u ON p.idfrom = u.id")
				->addSelect('o.date_depart AS date_depart')
				->addSelect('o.id_depart AS id_depart')
				->addSelect('o.id_arrivee AS id_arrivee')
				->addSelect('o.iduser AS iduser')
				->innerJoin("p.OffreDemande o ON p.idoffre = o.id")
				->addSelect('c.nomcomplet AS nomcompletto')
				->addSelect('c.photo AS phototo')
				->innerJoin("o.Users c ON o.iduser = c.id")
				->addSelect('d.description AS depart')
				->innerJoin("o.Depart d ON o.id_depart = d.id") 
				->addSelect('a.description AS arrivee')
				->innerJoin("o.Arrivee a ON o.id_arrivee = a.id")
				->where("u.id = ?", $iduser)
				->orderby("p.date_envoyer DESC");
        $this->view->listeEnvoye = $q->fetchArray();
		
		$q = Doctrine_Query::create();
         $q->select('count(*) as nbrenvoye')
				->from("Appweb_Model_Participer p")	
				->addSelect('u.nomcomplet AS nomcompletfrom')
				->addSelect('u.photo AS photofrom')
				->innerJoin("p.Users u ON p.idfrom = u.id")
				->addSelect('o.date_depart AS date_depart')
				->addSelect('o.id_depart AS id_depart')
				->addSelect('o.id_arrivee AS id_arrivee')
				->addSelect('o.iduser AS iduser')
				->innerJoin("p.OffreDemande o ON p.idoffre = o.id")
				->where("u.id = ?", $iduser);
        $res = $q->fetchArray();
        $this->view->Envoye = $res[0]["nbrenvoye"];
		
		$q = Doctrine_Query::create();
         $q->select('count(*) as nbraprove')
				->from("Appweb_Model_Participer p")	
				->addSelect('u.nomcomplet AS nomcompletfrom')
				->addSelect('u.photo AS photofrom')
				->innerJoin("p.Users u ON p.idfrom = u.id")
				->addSelect('o.date_depart AS date_depart')
				->addSelect('o.id_depart AS id_depart')
				->addSelect('o.id_arrivee AS id_arrivee')
				->addSelect('o.iduser AS iduser')
				->innerJoin("p.OffreDemande o ON p.idoffre = o.id")
				->where("u.id = ?", $iduser)
				->andwhere("p.status = ?",1);
        $res = $q->fetchArray();
        $this->view->Approve = $res[0]["nbraprove"];
		
		}
		
		public function rejeterAction() {
        $this->getHelper("Layout")->disableLayout();
		$s = new Zend_Session_Namespace("AppwebAuth");
		$iduser =$s->identity;
		$id =  $this->getRequest()->getParam("id");
				
		$values["status"] =  2;
					
					$q = Doctrine_Query::create();
							$q->update("Appweb_Model_Participer");
							foreach($values as $k => $v)
							{
								$q->set($k, "?", $v);
							}
							
							$q->where("id = ?", $id);
							
							$q->execute();
					
                        $this->_redirect("/admin/Trip/participants");             
            
        

        }
		
		public function approuverAction() {
        $this->getHelper("Layout")->disableLayout();
		$s = new Zend_Session_Namespace("AppwebAuth");
		$iduser =$s->identity;
		$id =  $this->getRequest()->getParam("id");
		
		$q = Doctrine_Query::create();
                $q->select('*')
                    ->from("Appweb_Model_Participer p")
					->addSelect('o.nbr_places AS nbr_places')
					->innerJoin("p.OffreDemande o ON p.idoffre = o.id")
                    ->where("id = ?", $id);
                $res = $q->fetchArray();
        $idoffre = $res[0]["idoffre"];
        $placenbr = $res[0]["placenbr"];
        $nbr_places = $res[0]["nbr_places"];
				
					$values1["nbr_places"] =  $nbr_places-$placenbr;
					
					$q1 = Doctrine_Query::create();
							$q1->update("Appweb_Model_OffreDemande");
							foreach($values1 as $k1 => $v1)
							{
								$q1->set($k1, "?", $v1);
							}
							
							$q1->where("id = ?", $idoffre);
							
							$q1->execute();
					
					$values["status"] =  1;
					
					$q = Doctrine_Query::create();
							$q->update("Appweb_Model_Participer");
							foreach($values as $k => $v)
							{
								$q->set($k, "?", $v);
							}
							
							$q->where("id = ?", $id);
							
							$q->execute();
					
                        $this->_redirect("/admin/Trip/participants");             
            
        

        }
	

	
}
?>


