<?php
class  App_AlbumController extends App_Tools_Controller_BaseAppController
{



    public function indexAction() {
        $this->getHelper("Layout")->setLayout("app/default");
		$this->view->pageTitle = "Albums | YNGMusic";
		$this->view->pageDesc = "Le plus grands de jeunes versent réseau urbain pour du promouvoir le rap marocain";

		 $s = new Zend_Session_Namespace("AppAuth");
		 $s->menu = "album";
		 
		 		$q = Doctrine_Query::create();
          $q = $q->select('count(*) as nbrpage')
                ->from("App_Model_Albums o")
                ->where("o.state = '1'")
                ->fetchArray();
		$this->view->total = $total= $q[0]["nbrpage"] ;		
		$this->view->Param = $Param = $this->getRequest()->getParam("page") ;
		$num_rec_per_page=10;
		if (isset($Param)) { $page  = $Param; } else { $page=1; }; 
		$start_from = ($page-1) * $num_rec_per_page;
		$this->view->total_pages = $total_pages = ceil($total / $num_rec_per_page);
		$this->view->pager = $pager = $Param;
		$this->view->mpager = $mpager= $page-1;
		$this->view->ipager = $ipager= $page+1;
		$this->view->start = $start_from;
		 
	     $q = Doctrine_Query::create();
          $q->select('*')
                ->from("App_Model_Albums o")
                ->addSelect('a.nome as artist, a.idartist as idart')
                ->innerJoin("o.Artists a ON a.idartist = o.artist")
                ->where("o.state ='1'")
				->orderBy('RAND()')
				->limit(6);
         $this->view->suggerons = $q->fetchArray();
		 
		  $q = Doctrine_Query::create();
          $q->select('album, count(*) as count')
                ->from("App_Model_Tracks o")
				->groupBy('o.album');
         $this->view->listecount = $q->fetchArray();		 


    }
 	 public function listenAction() {
        $this->getHelper("Layout")->setLayout("app/default-two");
		 $s = new Zend_Session_Namespace("AppAuth");
		 $s->menu = "album";
		 
         list($album,$issent)=explode(".",$this->getRequest()->getParam('id'));
	     $q = Doctrine_Query::create();
          $q->select('*')
                ->from("App_Model_Albums o")
                ->addSelect('a.nome as artist')
                ->innerJoin("o.Artists a ON a.idartist = o.artist")
                ->where("o.idalbum = $album");
         $this->view->albumdetail = $q->fetchArray();
		 
		    $j = Doctrine_Query::create();
              $j = $j->select('count(*) as countjm')
                ->from("App_Model_Jaimes")
                ->where("album = ?", $album)
                ->fetchArray();
		    $this->view->countjms = $j[0]["countjm"];
//******TRACK		 
		 $q = Doctrine_Query::create();
          $q->select('*')
                ->from("App_Model_Tracks b")
                ->addSelect('a.album as album')
                ->innerJoin("b.Albums a ON a.idalbum = b.album")
				->where("b.album = $album")
				->orderBy('b.idtrack DESC');
         $this->view->albumtrack = $q->fetchArray();
// *$this->idtrack		 
		$v = Doctrine_Query::create();
         $v = $v->select('*')
                ->from("App_Model_Tracks b")
                ->addSelect('a.album as album')
                ->innerJoin("b.Albums a ON a.idalbum = b.album")
				->where("b.album = $album")
				->orderBy('b.idtrack DESC')
				->limit(1)
				->fetchArray();
		$this->view->idtrack = $v[0]["idtrack"];
		$this->view->artist = $v[0]["artist"];
		$this->view->track = $v[0]["track"];
		$this->view->featuring = $v[0]["featuring"];
//******	 
	     $q = Doctrine_Query::create();
          $q->select('*')
                ->from("App_Model_Albums o")
                ->addSelect('a.nome as artist, a.idartist as idart')
                ->innerJoin("o.Artists a ON a.idartist = o.artist")
                ->where("o.state ='1'")
				->orderBy('RAND()')
				->limit(6);
         $this->view->suggerons = $q->fetchArray();
		 

//Registereds
		 $s = new Zend_Session_Namespace("AppAuth");
		 $q = Doctrine_Query::create();
          $q->select('pseudo as connects')
                ->from("App_Model_Registereds")
				->where("iduser=$s->identity");
         $this->view->connect = $q->fetchArray();	
		 
		$q = Doctrine_Query::create();
          $q->select('count(*) as nbrjaime')
                ->from("App_Model_Jaimes")
				->where("iduser=$s->identity")
				->andwhere("album=$album");
         $this->view->jaime = $q->fetchArray();
		 
		$d = Doctrine_Query::create();
          $d->select('*, o.date as namedate, o.iduser as creer')
                ->from("App_Model_Commentaires o")
				->addSelect('a.pseudo as namepseudo, a.nom as namenom, a.prenom as nameprenom, a.imgprofile as img, a.iduser as user')
                ->innerJoin("o.Registereds a ON a.iduser = o.iduser")
				->where("o.album=$album")
				->orderBy("idcomment DESC")
				->limit("5");
        $this->view->affichecommentaire = $d->fetchArray();	

		$c = Doctrine_Query::create();
            $c = $c->select('count(idcomment) as nbrcoment')
                   ->from("App_Model_Commentaires o")
					->addSelect('a.pseudo as namepseudo, a.nom as namenom, a.prenom as nameprenom, a.imgprofile as img, a.iduser as user')
					->innerJoin("o.Registereds a ON a.iduser = o.iduser")
					->where("o.album=$album")
                   ->fetchArray();
        $this->view->nbrcoment = $nbrcoment= $c[0]["nbrcoment"] ;
		 

        $a = Doctrine_Query::create();
        $a = $a->select('*')
                    ->from("App_Model_Albums o")
                    ->addSelect('a.nome as artist')
                    ->innerJoin("o.Artists a ON a.idartist = o.artist")
                    ->where("o.idalbum = ?", $album)
                    ->fetchArray();
				       $idalbum= $a[0]["idalbum"] ;	
				       $view= $a[0]["view"] ;
					   $album= $a[0]["album"] ;
					   $artist= $a[0]["artist"] ;
					  
			          $values["view"] = $view+1;
                // update
                $q = Doctrine_Query::create();
                $q->update("App_Model_Albums");
                foreach($values as $k => $v)
                {
                    $q->set($k, "?", $v);
                }  
                $q->where("idalbum = ?", $idalbum);
		$q->execute();
		
		$this->view->pageTitle = "$album - $artist | YNGMusic";
		$this->view->pageDesc = "Le plus grands de jeunes versent réseau urbain pour du promouvoir le rap marocain";

	} 
	
	public function jpgAction() {
	$this->getHelper("Layout")->disableLayout();
	$album = $this->getRequest()->getParam("id");
				$a = Doctrine_Query::create();
                $a = $a->select('*')
                    ->from("App_Model_Albums o")
                    ->addSelect('a.idartist as nartist')
                    ->innerJoin("o.Artists a ON a.idartist = o.artist")
                    ->where("o.idalbum = ?", $album)
                   ->fetchArray();
				   $couverteur= $a[0]["couverteur"] ;
				header("Location: /templates/app/images/fonder/".$couverteur);
	            exit;
	}

	public function ajaxlikeAction() {
		
	$this->getHelper("Layout")->disableLayout();
	
	$album = $this->getRequest()->getPost("id");
	$this->view->idalbum = $album;
	
				$s = new Zend_Session_Namespace("AppAuth");
				

			 $values["album"] = $album;
			 $values["iduser"] = $s->identity;
             $object = new App_Model_Jaimes();
             foreach ($values as $k => $v) 
		     {
             $object->$k = $v;
             }
			 $object->save();
			 
			 $j = Doctrine_Query::create();
              $j = $j->select('count(*) as countjm')
                ->from("App_Model_Jaimes")
                ->where("album = ?", $album)
                ->fetchArray();
		    $this->view->countjms = $j[0]["countjm"];
	
	}
	
	public function ajaxdislikeAction() {
		
	$this->getHelper("Layout")->disableLayout();
	
	$album = $this->getRequest()->getPost("id");
	$this->view->idalbum = $album;
	
			$s = new Zend_Session_Namespace("AppAuth");
			
			$q = Doctrine_Query::create()
                    ->delete()
                    ->from("App_Model_Jaimes f")
                    ->where("f.album = ?", $album)
					->andwhere("f.iduser = ?", $s->identity)
                    ->execute();
 
			 
			 $j = Doctrine_Query::create();
              $j = $j->select('count(*) as countjm')
                ->from("App_Model_Jaimes")
                ->where("album = ?", $album)
                ->fetchArray();
		    $this->view->countjms = $j[0]["countjm"];
	
	}
    
	public function ajaxshowmoreAction() {
		
	$this->getHelper("Layout")->disableLayout();
	
	$album = $this->getRequest()->getPost("alb");
	$i = $this->getRequest()->getPost("i");	
	$i=$i+5;
	$this->view->i = $i;
	$this->view->idalbum = $album;
	
	
	$q = Doctrine_Query::create();
          $q->select('*, o.date as namedate, o.iduser as creer')
                ->from("App_Model_Commentaires o")
				->addSelect('a.pseudo as namepseudo, a.nom as namenom, a.prenom as nameprenom, a.imgprofile as img, a.iduser as user')
                ->innerJoin("o.Registereds a ON a.iduser = o.iduser")
				->where("o.album=$album")
				->orderBy("idcomment DESC")
				->limit("$i");
        $this->view->affichecommentaire = $q->fetchArray();	

		$q = Doctrine_Query::create();
            $q = $q->select('count(idcomment) as nbrcoment')
                   ->from("App_Model_Commentaires o")
					->addSelect('a.pseudo as namepseudo, a.nom as namenom, a.prenom as nameprenom, a.imgprofile as img, a.iduser as user')
					->innerJoin("o.Registereds a ON a.iduser = o.iduser")
					->where("o.album=$album")
                   ->fetchArray();
            $this->view->nbrcoment = $nbrcoment= $q[0]["nbrcoment"] ;
    }
	
	public function ajaxcommentAction() {
		
	$this->getHelper("Layout")->disableLayout();
	
	$album = $this->getRequest()->getPost("id");
	$this->view->idalbum = $album;
	
		$s = new Zend_Session_Namespace("AppAuth");
		
		$values["commentaire"] = $this->getRequest()->getPost("comm");	
		$values["iduser"] = $s->identity;
        $values["album"] = $album;
		$values["date"] = date('Y-m-d H:i:s');
        $object = new App_Model_Commentaires();
        foreach ($values as $k => $v) {
            $object->$k = $v;
        }
        $object->save();
		
	$i=5;
	$this->view->i = $i;
	$this->view->idalbum = $album;
	
	
	$q = Doctrine_Query::create();
          $q->select('*, o.date as namedate, o.iduser as creer')
                ->from("App_Model_Commentaires o")
				->addSelect('a.pseudo as namepseudo, a.nom as namenom, a.prenom as nameprenom, a.imgprofile as img, a.iduser as user')
                ->innerJoin("o.Registereds a ON a.iduser = o.iduser")
				->where("o.album=$album")
				->orderBy("idcomment DESC")
				->limit("$i");
        $this->view->affichecommentaire = $q->fetchArray();	

		$q = Doctrine_Query::create();
            $q = $q->select('count(idcomment) as nbrcoment')
                   ->from("App_Model_Commentaires o")
					->addSelect('a.pseudo as namepseudo, a.nom as namenom, a.prenom as nameprenom, a.imgprofile as img, a.iduser as user')
					->innerJoin("o.Registereds a ON a.iduser = o.iduser")
					->where("o.album=$album")
                   ->fetchArray();
            $this->view->nbrcoment = $nbrcoment= $q[0]["nbrcoment"] ;
			
	
	}
	public function ajaxdeleteAction() {
		
	$this->getHelper("Layout")->disableLayout();
	
	$id = $this->getRequest()->getPost("id");
	$album = $this->getRequest()->getPost("vid");
	
		$s = new Zend_Session_Namespace("AppAuth");
		
             $q = Doctrine_Query::create()
                    ->delete()
                    ->from("App_Model_Commentaires f")
                    ->where("f.idcomment = ?", $id)
					->andwhere("f.iduser = ?", $s->identity)
                    ->execute();
		
	$i=5;
	$this->view->i = $i;
	$this->view->idalbum = $album;
	
	
	$q = Doctrine_Query::create();
          $q->select('*, o.date as namedate, o.iduser as creer')
                ->from("App_Model_Commentaires o")
				->addSelect('a.pseudo as namepseudo, a.nom as namenom, a.prenom as nameprenom, a.imgprofile as img, a.iduser as user')
                ->innerJoin("o.Registereds a ON a.iduser = o.iduser")
				->where("o.album=$album")
				->orderBy("idcomment DESC")
				->limit("$i");
        $this->view->affichecommentaire = $q->fetchArray();	

		$q = Doctrine_Query::create();
            $q = $q->select('count(idcomment) as nbrcoment')
                   ->from("App_Model_Commentaires o")
					->addSelect('a.pseudo as namepseudo, a.nom as namenom, a.prenom as nameprenom, a.imgprofile as img, a.iduser as user')
					->innerJoin("o.Registereds a ON a.iduser = o.iduser")
					->where("o.album=$album")
                   ->fetchArray();
            $this->view->nbrcoment = $nbrcoment= $q[0]["nbrcoment"] ;
			
	
	}
	
}

?>
