<?php
	
class App_IndexController extends App_Tools_Controller_BaseAppController
{


    
    public function indexAction() {
        $this->getHelper("Layout")->setLayout("app/default-one");
		 $this->view->pageTitle = "YNGMusic Le plus grands de jeunes versent réseau urbain pour du promouvoir le rap marocain";

		 $s = new Zend_Session_Namespace("AppAuth");
		 $s->menu = "index";
		 
	     $q = Doctrine_Query::create();
          $q->select('*')
                ->from("App_Model_Albums o")
                ->addSelect('a.nome as artist, a.idartist as idart')
                ->innerJoin("o.Artists a ON a.idartist = o.artist")
				->addSelect('c.track as chanson')
                ->innerJoin("o.Tracks c ON c.album = o.idalbum")
                ->where("state ='1'")
				->orderBy('o.idalbum DESC')
				->limit(6);
         $this->view->albumsderniers = $q->fetchArray();
		 
		  $q = Doctrine_Query::create();
          $q->select('album, count(*) as count')
                ->from("App_Model_Tracks o")
				->groupBy('o.album');
         $this->view->listecount = $q->fetchArray();

		 
		 $q = Doctrine_Query::create();
          $q->select('*')
                ->from("App_Model_Videos b")
                ->addSelect('a.nome as artist, a.idartist as idart')
                ->innerJoin("b.Artists a ON a.idartist = b.artist")
                ->where("b.state ='0'")
				->orderBy('b.date DESC')
				->limit(8);
         $this->view->videosderniers = $q->fetchArray();
		 
		 $q = Doctrine_Query::create();
          $q->select('*')
                ->from("App_Model_Albums b")
                ->addSelect('a.nome as artist, a.idartist as idart')
                ->innerJoin("b.Artists a ON a.idartist = b.artist")
                ->where("b.state ='1'")
				->orderBy('b.view DESC')
				->limit(5);
         $this->view->meilleursalbums = $q->fetchArray();
		 
		 $q = Doctrine_Query::create();
          $q->select('*')
                ->from("App_Model_Tracks b")
                ->addSelect('a.nome as artist, a.idartist as idart')
                ->innerJoin("b.Artists a ON a.idartist = b.artist")
				->where("b.album='0'")
				->orderBy('b.idtrack DESC')
				->limit(10);
         $this->view->derniereschansons = $q->fetchArray();
		 
		 
	     $q = Doctrine_Query::create();
          $q->select('*')
                ->from("App_Model_Albums o")
                ->addSelect('a.nome as artist, a.idartist as idart')
                ->innerJoin("o.Artists a ON a.idartist = o.artist")
                ->where("o.state ='1'")
				->orderBy('RAND()')
				->limit(6);
         $this->view->suggerons = $q->fetchArray(); 
		 
		$q = Doctrine_Query::create();
          $q->select('*')
                ->from("App_Model_Tracks o")
                ->addSelect('a.nome as nom-artist')
                ->innerJoin("o.Artists a ON a.idartist = o.artist")
				->orderBy('o.idtrack DESC');
         $this->view->listplay = $q->fetchArray(); 
		 
		 $q = Doctrine_Query::create();
         $a = $q->select('*')
                ->from("App_Model_Tracks b")
                ->addSelect('a.nome as artist')
                ->innerJoin("b.Artists a ON a.idartist = b.artist")
				->orderBy('b.idtrack DESC')
				->limit(1)
				->fetchArray();
		$this->view->idtrack = $a[0]["idtrack"];
		$this->view->artist = $a[0]["artist"];
		$this->view->track = $a[0]["track"];
		$this->view->featuring = $a[0]["featuring"];

    }

    
   
}
?>