<?php

class Appweb_Tools_Front_Message
{
    private $messageType = MESSAGE_TYPE_INFO;
    private $message;
    
    public function __construct($msg = "", $msgtype = MESSAGE_TYPE_SUCCESS) {
        $this->messageType = $msgtype;
        $this->message = $msg;
    }
        
    public function setMessageType($messageType)
    {
        if(!($messageType == MESSAGE_TYPE_SUCCESS || $messageType == MESSAGE_TYPE_ERROR || $messageType == MESSAGE_TYPE_INFO || $messageType == MESSAGE_TYPE_WARNING))
            throw new Exception("Invalid Message Type");
        
        $this->messageType = $messageType;
    }
    
    public function getMessageType()
    {    
        return $this->messageType;
    }
    
    public function setMessage($message)
    {
        if(!is_string($message))
            throw new Exception("Message must be a valid string");
        
        if($message == "")
            throw new Exception("Message cannot be empty");
        
        $this->message = $message;
    }
    
    public function getMessage()
    {
        return $this->message;
    }
}
?>